Scriptname pchsBeating extends activemagiceffect  

Event OnEffectStart(Actor akTarget, Actor akCaster)
	;pchsBeatingLevel.SetValueInt(3)
	Utility.Wait(1.0)
	Game.GetPlayer().ModAv("CarryWeight", 0.01)
	Game.GetPlayer().ModAv("CarryWeight", -0.01)
	RegisterForSingleUpdateGameTime(8.0)
EndEvent

Event OnUpdateGameTime()
	pchsBeatingLevel.Mod(-1)
	If pchsBeatingLevel.GetValue() > 0.0
		Beat.DecBeatingSpell()
		RegisterForSingleUpdateGameTime(8.0)
	Else
		PlayerRef.RemoveSpell(pchsBeatingHealthSpell)
		Debug.Notification("I've recovered from Father's beating")
		Self.Dispel()
	EndIf
EndEvent

Actor Property PlayerRef Auto

GlobalVariable Property pchsBeatingLevel Auto

Spell Property pchsBeatingHealthSpell Auto

pchsBeatPlayer Property Beat Auto
