Scriptname pchsPlayerEquip extends ReferenceAlias

Event OnInit()
	If Self.GetOwningQuest().IsRunning()
		Util.SetCollarVar()
		Util.SetHeelsVar()
		Util.SetOutfitVar()
	EndIf
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	DoCheck(akBaseObject, akReference)
EndEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	DoCheck(akBaseObject, akReference)
EndEvent

Function DoCheck(Form akBaseObject, ObjectReference akReference)
	If akBaseObject as Armor		
		If akBaseObject.HasKeyword(Util.zbfWornCollar) || akBaseObject.HasKeyword(Util.zad_DeviousCollar)
			Util.SetCollarVar()
		ElseIf Math.LogicalAnd((akBaseObject as Armor).GetSlotMask(), 0x00000080) == 0x00000080 ; Boots
			Util.SetHeelsVar()
			If StorageUtil.GetIntValue(akBaseObject, "pchsWtAccessoryLevel", Missing = -1) >= 0
				Util.SetOutfitVar()
			EndIf
		ElseIf StorageUtil.GetIntValue(akBaseObject, "pchsWtAccessoryLevel", Missing = -1) >= 0 || Math.LogicalAnd((akBaseObject as Armor).GetSlotMask(), 0x00000004) == 0x00000004 ; Body
			Util.SetOutfitVar()
		EndIf
	EndIf
EndFunction

pchsWtUtil Property Util Auto
