Scriptname pchsTimeOff extends Quest  

Event OnInit()
	If Self.IsRunning()
		Float TimeOffReq = StorageUtil.GetFloatValue(None, "pchsWtTimeOffRequested")
		RegisterForSingleUpdateGameTime(TimeOffReq * 24.0)
		StorageUtil.SetFloatValue(None, "pchsWtTimeOffUntil", Utility.GetCurrentGameTime() + TimeOffReq)
		SuspendTasks()
	EndIf
EndEvent

Event OnUpdateGameTime()
	Debug.Messagebox("My time off has come to and end. Unless I want to anger him I had better return to Father and my duties ")
	ResumeTasks()
	Stop()
EndEvent

Function SuspendTasks()
	Int TasksSuspend = ModEvent.Create("pchsWartimesTasksSuspend")
	If (TasksSuspend)
		ModEvent.PushForm(TasksSuspend, self)
		ModEvent.Send(TasksSuspend)
	EndIf
EndFunction

Function ResumeTasks()
	Int TasksResume = ModEvent.Create("pchsWartimesTasksResume")
	If (TasksResume)
		ModEvent.PushForm(TasksResume, self)
		ModEvent.Send(TasksResume)
	EndIf
EndFunction
