Scriptname pchsWartimesPlugScript extends ObjectReference  

Actor Property PlayerREF Auto
GlobalVariable Property PlugType Auto

Armor Property MeadPlugBottomIn Auto
Armor Property MeadPlugTopIn Auto
Armor Property CarrotPlug Auto
Armor Property FlutePlugShallow Auto
Armor Property FlutePlugDeep Auto

Potion Property Mead Auto
Potion Property MeadBB Auto
Potion Property MeadBBR Auto
Potion Property MeadHB Auto
Potion Property Carrot Auto

miscobject Property MeadBottle Auto
miscobject Property Flute Auto
miscobject Property Flute1 Auto

Sound Property PlugOutSound Auto
Sound Property PlugInSound Auto

Event OnUnequipped(Actor akActor)
if akActor == PlayerREF	

	if PlayerREF.IsEquipped(MeadPlugBottomIn)
		PlayerREF.Unequipitem(MeadPlugBottomIn, 1, false)
		PlayerREF.RemoveItem(MeadPlugBottomIn, 1, false)
	elseif PlayerREF.IsEquipped(MeadPlugTopIn)
		PlayerREF.Unequipitem(MeadPlugTopIn, 1, false)
		PlayerREF.RemoveItem(MeadPlugTopIn, 1, false)
	elseif PlayerREF.IsEquipped(CarrotPlug)
		PlayerREF.Unequipitem(CarrotPlug, 1, false)
		PlayerREF.RemoveItem(CarrotPlug, 1, false)
	elseif PlayerREF.IsEquipped(FlutePlugShallow)
		PlayerREF.Unequipitem(FlutePlugShallow, 1, false)
		PlayerREF.RemoveItem(FlutePlugShallow, 1, false)
	elseif PlayerREF.IsEquipped(FlutePlugDeep)
		PlayerREF.Unequipitem(FlutePlugDeep, 1, false)
		PlayerREF.RemoveItem(FlutePlugDeep, 1, false)
	endif

	if PlugType.GetValue() == 1
		PlayerREF.AddItem(MeadBottle, 1, false)
	elseif PlugType.GetValue() == 2
		PlayerREF.AddItem(Mead, 1, false)
	elseif PlugType.GetValue() == 3
		PlayerREF.AddItem(MeadHB, 1, false)
	elseif PlugType.GetValue() == 4
		PlayerREF.AddItem(MeadBB, 1, false)
	elseif PlugType.GetValue() == 5
		PlayerREF.AddItem(MeadBBR, 1, false)
	elseif PlugType.GetValue() == 6
		PlayerREF.AddItem(Carrot, 1, false)
	elseif PlugType.GetValue() == 7
		PlayerREF.AddItem(Flute, 1, false)
	elseif PlugType.GetValue() == 8
		PlayerREF.AddItem(Flute1, 1, false)
	endif
	
	PlugOutSound.Play(PlayerREF)
	PlayerREF.SetExpressionOverride(9, 100)
	Utility.Wait(5.0)
	PlayerREF.ClearExpressionOverride()

endif
endEvent

Event OnEquipped(Actor akActor)
if akActor == PlayerREF	

	PlugInSound.Play(PlayerREF)
	PlayerREF.SetExpressionOverride(9, 100)
	Utility.Wait(5.0)
	PlayerREF.ClearExpressionOverride()

endif
endEvent