Scriptname pchsWartimesSt200DirtClean extends ObjectReference  

Event OnActivate(ObjectReference akActionRef)
	PlayerRef.PlayIdle(ZbfIdleFree) ; Reset in case holding tray etc
	PlayerREF.PlayIdle(sweepingIdle)
	Utility.Wait(6.0)

	Int iReferenceE = thisObject.Length
	While (iReferenceE)
		iReferenceE -= 1
		thisObject[iReferenceE].Disable()
	EndWhile

	PlayerREF.PlayIdle(resetIdle)

	dirtLastClean.SetValue(Utility.GetCurrentGameTime())
	;FatherVoluntaryServeRel.Value += 1
	float newGameHour = (GameHour.GetValue() + 1)
	GameHour.SetValue(newGameHour)

	;Debug.Notification("You've spend an hour cleaning dirt. Father's favour has increased by 1")
	(Game.GetFormFromFile(0x23316F, "pchsWartimes.esp") as pchsWtFavour).ModStat(Msg = "I spend an hour cleaning dirt", Favour = 1.0,  Depravity = 0.0, Submission = 0.0, Sender = Self)
EndEvent

Actor Property PlayerREF Auto
Idle Property ZbfIdleFree Auto
Idle Property sweepingIdle Auto
Idle Property resetIdle Auto
ObjectReference[] Property thisObject Auto
ObjectReference Property triggerBox Auto
GlobalVariable Property dirtLastClean auto
GlobalVariable Property FatherVoluntaryServeRel auto
GlobalVariable property GameHour auto
