Scriptname pchsWtFurn extends ReferenceAlias  

Event OnSit(ObjectReference akFurniture)
EndEvent

Event OnGetUp(ObjectReference akFurniture)
EndEvent

State InHome
	Event OnSit(ObjectReference akFurniture)
		Form akBaseObject = akFurniture.GetBaseObject()
		If akFurniture.HasKeyword(zbfFurniture)
			FurnStartTime = Utility.GetCurrentGameTime()
		EndIf
	EndEvent

	Event OnGetUp(ObjectReference akFurniture)
		Form akBaseObject = akFurniture.GetBaseObject()
		If akFurniture.HasKeyword(zbfFurniture)
			CalcFavGain()
		EndIf
	EndEvent
EndState

Function CalcFavGain()
	Int Day = Utility.GetCurrentGameTime() as Int
	If Day != DayEarnedFav
		FavEarnedToday = 0.0
		DayEarnedFav = Utility.GetCurrentGameTime() as Int
	EndIf
	If FavEarnedToday < 3.0
		Float HoursSpentInFurn = (Utility.GetCurrentGameTime() - FurnStartTime) * 24.0
		;Debug.Messagebox("HoursSpentInFurn: " + HoursSpentInFurn)
		HoursSpentInFurn = ((PapyrusUtil.ClampFloat(HoursSpentInFurn, 0.0, 3.0 - FavEarnedToday)) as Int) as Float
		If HoursSpentInFurn > 0.0
			String Msg = "Father is glad to see me using his furniture"
			Fav.ModStat(Msg, Favour = HoursSpentInFurn, Depravity = 0.0, Submission = 1.0, Sender = zbfFurniture)
			FavEarnedToday += HoursSpentInFurn
		EndIf
	Else
		Debug.Notification("I've earned the max favour today for furniture")
	EndIf
EndFunction

Int DayEarnedFav

Float FurnStartTime
Float FavEarnedToday

Keyword Property zbfFurniture Auto

pchsWtFavour Property Fav Auto
