Scriptname pchsWtHomeSlaveAlias extends ReferenceAlias  

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)
	If akAggressor == PlayerRef && StorageUtil.GetIntValue(Self.GetReference(), "pchsWtSlaveFailedTaskCount", Missing = -1) > 0 && 25.0 > Utility.RandomFloat(0.0, 100.0)
		HomeSlaves.WhipSuccess(Self.GetReference() as Actor)
	EndIf
EndEvent

Event OnDeath(Actor akKiller)
	HomeSlaves.RemoveSlave(Self.GetReference() as Actor)
EndEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	If !HomeSlaves.IsLeashedSlave(Self.GetReference() as Actor)
		HomeSlaves.RemoveSlave(Self.GetReference() as Actor)
	EndIf
EndEvent

Actor Property PlayerRef Auto

pchsWtHomeSlaves Property HomeSlaves Auto
