Scriptname pchsWtInterfaceFm extends Quest  

Quest FmQuest

Event OnInit()
	RegisterForModEvent("_pchs_Int_PlayerLoadsGame", "On_pchs_Int_PlayerLoadsGame")
EndEvent

Event On_pchs_Int_PlayerLoadsGame(string eventName, string strArg, float numArg, Form sender)
	PlayerLoadsGame()
EndEvent

Function PlayerLoadsGame()
	If Game.GetModByName("Fertility Mode.esm") != 255
		If GetState() != "Installed"
			GoToState("Installed")
		EndIf
	
	Else
		If GetState() != ""
			GoToState("")
		EndIf
	EndIf
EndFunction

Event OnEndState()
	Utility.Wait(5.0) ; Wait before entering active state to help avoid making function calls to scripts that may not have initialized yet.
	FmQuest = Game.GetFormFromFile(0x000D62,"Fertility Mode.esm") as Quest
EndEvent

Bool Function GetIsInterfaceActive()
	Return GetState() == "Installed"
EndFunction

State Installed
	Bool Function GetIsPregnant(Actor akActor)
		Return pchsWtIntFm.GetIsPregnant(FmQuest, akActor)
	EndFunction
	
	Bool Function GetGaveBirth(Actor akActor)
		Return pchsWtIntFm.GetGaveBirth(FmQuest, akActor)
	EndFunction
EndState

Bool Function GetIsPregnant(Actor akActor)
	Return false
EndFunction

Bool Function GetGaveBirth(Actor akActor)
	Return false
EndFunction
