Scriptname pchsWtPlayerAnimReset extends ReferenceAlias  

Function Begin(String akState)
	Self.ForceRefTo(PlayerRef)
	GoToState(akState)
EndFunction

Function End()
	GoToState("")
EndFunction

Function ResetVars()
	pchsInspectStance.SetValueInt(0)
	pchsPoseFlag.SetValueInt(0)
	pchsPcOffersFood.SetValue(0)
	pchsPcOffersDrink.SetValue(0)
EndFunction

Event On_SLS_IntWeaponReadied(string eventName, string strArg, float numArg, Form sender)
EndEvent

Event OnAnimationStart(int tid, bool HasPlayer)
EndEvent

State PotTrayFour
	Event OnBeginState()
		;Debug.Messagebox("BeginState")
		RegisterForAnimationEvent(PlayerRef, "JumpDown")
		RegisterForAnimationEvent(PlayerRef, "tailSprint")
		RegisterForAnimationEvent(PlayerRef, "JumpUp")
		RegisterForAnimationEvent(PlayerRef, "BeginCastVoice")
		RegisterForAnimationEvent(PlayerRef,"staggerStop")
		RegisterForAnimationEvent(PlayerRef,"SoundPlay.FSTSwimSwim")
		RegisterForAnimationEvent(PlayerRef,"getupstart") ; rag doll
		RegisterForAnimationEvent(PlayerRef,"tailHorseMount")
		;RegisterForAnimationEvent(PlayerRef,"IdleSurrender") ; Doesn't register
		RegisterForModEvent("_SLS_IntWeaponReadied", "On_SLS_IntWeaponReadied")
		RegisterForModEvent("HookAnimationStart", "OnAnimationStart")
	EndEvent

	Event OnAnimationEvent(ObjectReference akSource, string asEventName)
		GoToState("")
	EndEvent
	
	Event On_SLS_IntWeaponReadied(string eventName, string strArg, float numArg, Form sender)
		GoToState("")
	EndEvent

	Event OnAnimationStart(int tid, bool HasPlayer)
		GoToState("")
	EndEvent

	Event OnEndState()
		;Debug.Messagebox("EndState")
		UnRegisterForAnimationEvent(PlayerRef, "JumpDown")
		UnRegisterForAnimationEvent(PlayerRef, "tailSprint")
		UnRegisterForAnimationEvent(PlayerRef, "JumpUp")
		UnRegisterForAnimationEvent(PlayerRef, "BeginCastVoice")
		UnRegisterForAnimationEvent(PlayerRef,"staggerStop")
		UnRegisterForAnimationEvent(PlayerRef,"SoundPlay.FSTSwimSwim")
		UnRegisterForAnimationEvent(PlayerRef,"getupstart") ; rag doll
		UnRegisterForAnimationEvent(PlayerRef,"tailHorseMount")
		UnRegisterForModEvent("_SLS_IntWeaponReadied")
		UnRegisterForModEvent("HookAnimationStart")
		ResetVars()
		Self.Clear()
	EndEvent
EndState

Actor Property PlayerRef Auto

GlobalVariable Property pchsInspectStance Auto
GlobalVariable Property pchsPoseFlag Auto
GlobalVariable Property pchsPcOffersFood Auto
GlobalVariable Property pchsPcOffersDrink Auto
