Scriptname pchsClutterRecord extends Quest  

Event OnInit()
	If IsRunning()
		Int i = 0
		ObjectReference ClutterRef
		While i < GetNumAliases()
			ClutterRef = (GetNthAlias(i) as ReferenceAlias).GetReference()
			If ClutterRef
				SavePos(ClutterRef)
			Else
				Debug.Messagebox("Record Clutter Complete.")
				Return
			EndIf
			i += 1
		EndWhile
		Debug.Messagebox("Record Clutter Complete.")
	EndIf
EndEvent

Function SavePos(ObjectReference ClutterRef)
;/
	StorageUtil.SetFloatValue(ClutterRef, "pchsWtOriginalPosX", ClutterRef.GetPositionX())
	StorageUtil.SetFloatValue(ClutterRef, "pchsWtOriginalPosY", ClutterRef.GetPositionY())
	StorageUtil.SetFloatValue(ClutterRef, "pchsWtOriginalPosZ", ClutterRef.GetPositionZ())
	/;
	
	;ClutterRef.ApplyHavokImpulse(0.0, 0.0, 1.0, 1.0)
	;Utility.Wait(0.01)
	
	StorageUtil.FloatListResize(ClutterRef, "pchsWtOriginalPos", 6, 0.0)
	StorageUtil.FloatListSet(ClutterRef, "pchsWtOriginalPos", 0, ClutterRef.GetPositionX())
	StorageUtil.FloatListSet(ClutterRef, "pchsWtOriginalPos", 1, ClutterRef.GetPositionY())
	StorageUtil.FloatListSet(ClutterRef, "pchsWtOriginalPos", 2, ClutterRef.GetPositionZ())
	
	StorageUtil.FloatListSet(ClutterRef, "pchsWtOriginalPos", 3, ClutterRef.GetAngleX())
	StorageUtil.FloatListSet(ClutterRef, "pchsWtOriginalPos", 4, ClutterRef.GetAngleY())
	StorageUtil.FloatListSet(ClutterRef, "pchsWtOriginalPos", 5, ClutterRef.GetAngleZ())
EndFunction
