Scriptname pchsCumPools extends Quest  

Function Begin()
	If CumPoolsEnable
		RegForEvents()
	EndIf
EndFunction

Function End()
	UnRegForEvents()
EndFunction

Function RegForEvents()
	If Game.GetModByName("SLSO.esp") != 255
		RegisterForModEvent("SexLabOrgasmSeparate", "OnSexLabOrgasmSeparate")
	Else
		RegisterForModEvent("HookOrgasmStart", "OnOrgasmStart")
	EndIf
EndFunction

Function UnRegForEvents()
	UnRegisterForModEvent("SexLabOrgasmSeparate")
	UnRegisterForModEvent("HookOrgasmStart")
EndFunction

Event OnSexLabOrgasmSeparate(Form ActorRef, Int tid)
	Int Gender = Sexlab.GetGender(ActorRef as Actor)
	If Gender == 0 || Gender == 2
		OrgasmEvent(ActorRef as Actor, Sexlab.HookActors(tid)[0], tid, Sexlab.FindPlayerController() == tid)
	EndIf
EndEvent

Event OnOrgasmStart(int tid, bool HasPlayer)
	Actor Male = TidHasMale(tid)
	If Male
		OrgasmEvent(Male, Sexlab.HookActors(tid)[0], tid, HasPlayer)
	EndIf
EndEvent

Actor Function TidHasMale(Int tid)
	Int Gender
	Actor[] ActorList = SexLab.HookActors(tid as string)
	Int i = 0
	While i < ActorList.Length
		Gender = Sexlab.GetGender(ActorList[i])
		If Gender == 0 || Gender == 2
			Return ActorList[i]
		EndIf
		i += 1
	EndWhile
	Return None
EndFunction

Function OrgasmEvent(Actor OrgasmActor, Actor Receiver, Int tid, Bool HasPlayer)
	If OrgasmActor.GetCurrentLocation() == pchsWartimesHomeLocation
		;Debug.Messagebox("OrgasmActor: " + OrgasmActor + "\nReceiver: " + Receiver)
		ObjectReference Pool = Receiver.PlaceAtMe(pchsCumPoolActivator)
		Pool.SetAngle(0.0, 0.0, 30.0)
		Pool.MoveTo(Pool, 15.0 * Math.Sin(OrgasmActor.GetAngleZ()), 15.0 * Math.Cos(OrgasmActor.GetAngleZ()), afZOffset = 3.0, abMatchRotation = true)
		StorageUtil.SetFormValue(Pool, "pchsWtCumPoolOwner", OrgasmActor)
		GetAnAlias().ForceRefTo(Pool)
	EndIf
EndFunction

ReferenceAlias Function GetAnAlias()
	ReferenceAlias akAlias = GetFreeAlias()
	If !akAlias
		akAlias = GetNextAlias()
	EndIf
	Return akAlias
EndFunction

ReferenceAlias Function GetFreeAlias()
	Int i = 0
	While i < GetNumAliases()
		If !(GetNthAlias(i) as ReferenceAlias).GetReference()
			Return GetNthAlias(i) as ReferenceAlias
		EndIf
		i += 1
	EndWhile
	Return None
EndFunction

ReferenceAlias Function GetNextAlias()
	ReferenceAlias akAlias = GetNthAlias(AliasPointer) as ReferenceAlias
	AliasPointer += 1
	If AliasPointer >= GetNumAliases()
		AliasPointer = 0
	EndIf
	ObjectReference Pool = akAlias.GetReference()
	If Pool
		Pool.Disable()
		Pool.Delete()
	EndIf
	Return akAlias
EndFunction

Int Function GetCumPoolCount()
	Int i
	Int Count
	While i < GetNumAliases()
		If (GetNthAlias(i) as ReferenceAlias).GetReference()
			Count += 1
		EndIf
		i += 1
	EndWhile
	Return Count
EndFunction

Function ClearAllCumPools()
	Int i = 0
	ObjectReference Pool
	While i < GetNumAliases()
		Pool = (GetNthAlias(i) as ReferenceAlias).GetReference()
		If Pool
			Pool.Disable()
			Pool.Delete()
		EndIf
		(GetNthAlias(i) as ReferenceAlias).Clear()
		i += 1
	EndWhile
EndFunction

Int Function ShowCumPoolMenu()
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem("Clean Cum")
	If pchsPCSubmission.GetValueInt() >= 20
		ListMenu.AddEntryItem("Clean Cum With My Mouth")
	EndIf
	ListMenu.OpenMenu()
	Return ListMenu.GetResultInt()
EndFunction

Function ActivateCumPool(ObjectReference Pool)
	If pchsPCSubmission.GetValue() >= 40.0
		If Devious.CanLickCumFromFloor(PlayerRef)
			CleanCumMouth(Pool)
		ElseIf Devious.AreHandsAvailable(PlayerRef)
			CleanCum(Pool)
		Else
			Debug.Notification("I can't do anything while I'm gagged and my hands are tied")
		EndIf
	ElseIf pchsPCSubmission.GetValue() >= 20.0
		Int MenuResult = ShowCumPoolMenu()
		If MenuResult == 0
			If Devious.AreHandsAvailable(PlayerRef)
				CleanCum(Pool)
			Else
				Debug.Notification("I can't do anything while my hands are tied")
			EndIf
		ElseIf MenuResult == 1
			If Devious.CanLickCumFromFloor(PlayerRef)
				CleanCumMouth(Pool)
			Else
				Debug.Notification("I can't do that while I'm gagged")
			EndIf
		EndIf
	Else
		If Devious.AreHandsAvailable(PlayerRef)
			CleanCum(Pool)
		Else
			Debug.Notification("I can't do anything while my hands are tied")
		EndIf
	EndIf
EndFunction

Function CleanCum(ObjectReference Pool)
	PlayerRef.PlayIdle(IdleWarmHandsCrouched)
	Utility.Wait(1.5)
	Pool.Disable(true)
	Utility.Wait(1.5)
	RemovePoolAlias(Pool)
	Pool.Delete()
	GameHour.Mod(0.25)
	If Game.GetModByName("paradise_halls.esm") != 255
		Debug.SendAnimationEvent(PlayerRef, "PAHETieUpExit")
	Else
		Debug.SendAnimationEvent(PlayerRef, "IdleStop")
	EndIf
EndFunction

Function CleanCumMouth(ObjectReference Pool)
	Game.SetPlayerAiDriven(true)
	PlayerRef.SetVehicle(pchsMotherSlaveDogSexMarker)
	PlayerRef.PlayIdle(ZbfIdleFree)
	Utility.WaitMenuMode(0.1)
	PlayerRef.PlayIdle(zbfIdleKneelLickFeet)
	Sexlab.OpenMouth(PlayerRef)
	pchsCumPoolLickSM.Play(PlayerRef)
	DrinkCum(Pool)
	Utility.Wait(1.0)
	pchsCumPoolLickSM.Play(PlayerRef)
	Utility.Wait(1.0)
	pchsCumPoolLickSM.Play(PlayerRef)
	Pool.Disable(true)
	Utility.Wait(1.0)
	RemovePoolAlias(Pool)
	Pool.Delete()
	Sexlab.CloseMouth(PlayerRef)
	If Game.GetModByName("paradise_halls.esm") != 255
		Debug.SendAnimationEvent(PlayerRef, "PAHETieUpExit")
	Else
		PlayerRef.PlayIdle(ZbfIdleFree)
	EndIf
	Fav.ModStat("Father is happy to see me clean cum from the floor with my mouth", Favour = 1.0, Depravity = 1.0, Submission = 1.0, Sender = Self)
	Utility.Wait(1.0)
	Game.SetPlayerAiDriven(false)
	PlayerRef.SetVehicle(None)
EndFunction

Function DrinkCum(ObjectReference Pool)
	If Game.GetModByName("SL Survival.esp") != 255
		Int Drink = ModEvent.Create("_SLS_SwallowCum")
		if (Drink)
			ModEvent.PushForm(Drink, StorageUtil.GetFormValue(Pool, "pchsWtCumPoolOwner"))
			ModEvent.PushFloat(Drink, 0.5)
			ModEvent.PushBool(Drink, true)
			ModEvent.PushInt(Drink, 1)
			ModEvent.Send(Drink)
		EndIf
	Else
		Sexlab.AddCum(PlayerRef, Vaginal = false, Oral = true, Anal = false)
	EndIf
EndFunction

Function RemovePoolAlias(ObjectReference Pool)
	Int i = 0
	While i < GetNumAliases()
		If (GetNthAlias(i) as ReferenceAlias).GetReference() == Pool
			(GetNthAlias(i) as ReferenceAlias).Clear()
			Return
		EndIf
		i += 1
	EndWhile
EndFunction

Function RemoveCumPool(ObjectReference Pool)
	Pool.Disable()
	Pool.Delete()
	RemovePoolAlias(Pool)
EndFunction

Bool Property CumPoolsEnable = true Auto Hidden

Int AliasPointer

Actor Property PlayerRef Auto

ObjectReference Property pchsMotherSlaveDogSexMarker Auto

Activator Property pchsCumPoolActivator Auto

GlobalVariable Property pchsPCSubmission Auto
GlobalVariable Property GameHour Auto

Idle Property ZbfIdleFree Auto
Idle Property zbfIdleKneelLickFeet Auto
Idle Property IdleWarmHandsCrouched Auto

Sound Property pchsCumPoolLickSM Auto

Location Property pchsWartimesHomeLocation Auto

pchsWtFavour Property Fav Auto
pchsWtInterfaceDevious Property Devious Auto
SexlabFramework Property Sexlab Auto
