Scriptname pchsDollAct extends ObjectReference  

Event OnActivate(ObjectReference akActionRef)
	If akActionRef == Game.GetPlayer()
		If pchsBeatingLevel.GetValueInt() == 3
			Debug.Messagebox("I clamber onto my bed and curl up, clasping Twinkle tightly, as if my life depended on it. I sob softly, desperately trying not to draw Father's ire again. \n\nAfter an hour I feel somewhat better but I can't stay here for much longer. There's chores to be done lest I anger Father again...")
			Game.FadeOutGame(true, true, 0.0, 6.0)
			Utility.Wait(3.0)
			GameHour.Mod(1.0)
			pchsBeatingLevel.SetValueInt(2)
			Utility.Wait(2.0)
			Beat.DecBeatingSpell()
			Debug.Notification("The pain from the beating Father gave me has eased a little")
			PlayerRef.ModAv("CarryWeight", 0.01)
			PlayerRef.ModAv("CarryWeight", -0.01)
		Else
			Debug.Notification("I really don't have time to play with my silly old toys right now")
		EndIf
	EndIf
EndEvent

GlobalVariable Property pchsBeatingLevel Auto
GlobalVariable Property GameHour Auto

Actor Property PlayerRef Auto

pchsBeatPlayer Property Beat Auto
