Scriptname pchsFatherDrunk extends Quest  

Event OnInit()
	If Self.IsRunning()
		Debug.Notification("Oh Gods. Father's drunk again")
		pchsFatherDrunkAnswer.SetValueInt(Utility.RandomInt(0, 1))
		;pchsDrunkClutterAffected.Revert()
		RegisterForSingleUpdate(0.0)
	EndIf
EndEvent

Event OnUpdate()
	If PlayerRef.GetCurrentLocation() == pchsWartimesHomeLocation
		pchsDrunkClutterScan.Stop()
		pchsDrunkClutterScan.Start()
		RegisterForSingleUpdate(Utility.RandomFloat(1.5, 2.5))
	EndIf
EndEvent

Function BeginUpdates()
	If Self.IsRunning()
		RegisterForSingleUpdate(Utility.RandomFloat(1.5, 2.5))
	EndIf
EndFunction

Function StopUpdates()
	UnRegisterForUpdate()
EndFunction

GlobalVariable Property pchsFatherDrunkAnswer Auto

Location Property pchsWartimesHomeLocation Auto

Quest Property pchsDrunkClutterScan Auto

Actor Property PlayerRef Auto
