Scriptname pchsFatherMilkFilter extends ReferenceAlias  

Event OnInit()
	If Game.GetModByName("MilkModNEW.esp") != 255
		MME_Milk = Game.GetFormFromFile(0x06D61F, "MilkModNEW.esp") as Keyword
	EndIf
EndEvent

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	If akSourceContainer == PlayerRef && akBaseItem.HasKeyword(MME_Milk) && !(Self.GetReference() as Actor).IsDead()
		RegisterForMenu("GiftMenu")
		pchsPlayerScript.GiftedMilk(akBaseItem, aiItemCount)
	EndIf
EndEvent

Event OnMenuClose(String MenuName)
	UnRegisterForAllMenus()
	pchsPlayerScript.CloseMilkGiftMenu()
EndEvent

Keyword MME_Milk

Actor Property PlayerRef Auto

pchsWartimesPlayerScript Property pchsPlayerScript Auto
