Scriptname pchsHomeCumMonitor extends ReferenceAlias

Event OnInit()
	; SendModEvent("pchsWartimesFatherCellAttach")
	RegisterForModEvent("pchsWartimesFatherCellAttach", "On_pchsWartimesFatherCellAttach")
	
	; SendModEvent("pchsWartimesFatherCellDetach")
	RegisterForModEvent("pchsWartimesFatherCellDetach", "On_pchsWartimesFatherCellDetach")
	If Self.GetOwningQuest().IsRunning() && PlayerRef.GetCurrentLocation() == pchsWartimesHomeLocation
		GoToState("Active")
	EndIf
EndEvent

Event On_pchsWartimesFatherCellAttach(string eventName, string strArg, float numArg, Form sender)
	;Debug.Messagebox("Attach")
	GoToState("Active")
EndEvent

Event On_pchsWartimesFatherCellDetach(string eventName, string strArg, float numArg, Form sender)
	;Debug.Messagebox("Detach")
	GoToState("")
EndEvent

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	;Debug.Messagebox("Item added passive")
EndEvent

State Active
	Event OnBeginState()
		If !Self.GetOwningQuest().IsRunning() || PlayerRef.GetCurrentLocation() != pchsWartimesHomeLocation || pchsTaskParty.GetValue() == 3.0 || pchsFatherHunger.GetValue() == 0.0 || pchsFatherThirst.GetValue() == 0.0
			GoToState("")
		EndIf
	EndEvent

	Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
		;Debug.Messagebox("Item added active")
		If pchsJobCumSlut.GetValue() && akBaseItem as Potion && (akBaseItem.HasKeyword(VendorItemFood) || akBaseItem.HasKeyword(VendorItemFoodRaw)) && !pchsNoSwapForCumList.HasForm(akBaseItem) && !akBaseItem.HasKeyword(Util.MME_Milk)
			;Debug.Messagebox("Pass check")
			Debug.Trace("pchs: Confiscate food item: " + akBaseItem.GetName() + " - " + akBaseItem)
			GoToState("")
			(pchsCumSlutQuest.GetNthAlias(0) as ReferenceAlias).ForceRefTo(FatherRef)
			FatherRef.EvaluatePackage()
		EndIf
	EndEvent
EndState

GlobalVariable Property pchsTaskParty Auto
GlobalVariable Property pchsFatherHunger Auto
GlobalVariable Property pchsFatherThirst Auto
GlobalVariable Property pchsJobCumSlut Auto

Keyword Property VendorItemFood Auto
Keyword Property VendorItemFoodRaw Auto
Keyword Property pchsDummyNeverUsedKw Auto

Location Property pchsWartimesHomeLocation Auto

Quest Property pchsCumSlutQuest Auto

Formlist Property pchsNoSwapForCumList Auto

Actor Property PlayerRef Auto
Actor Property FatherRef Auto

pchsWtUtil Property Util Auto
