Scriptname pchsHorseBorrow extends Quest  

Event OnInit()
	If Self.IsRunning()
		Debug.Notification("Father untethers Brutus")
		pchsHorseTethered.SetValueInt(0)
		pchsFatherVoluntaryServeRep.Mod(-20)
		RegisterForSingleUpdateGameTime(Menu.BrutusBorrowTime * 24.0)
		EnableSlac(pchsBrutus)
	EndIf
EndEvent

Event OnUpdateGameTime()
	If PlayerRef.GetCurrentLocation().IsSameLocation(pchsWartimesHomeLocation)
		EndBorrow()
	Else
		Debug.Notification("My time to borrow Brutus has run out")
		(Self.GetNthAlias(0) as ReferenceAlias).ForceRefTo(pchsMotherSlaveDogSexMarker)
	EndIf
EndEvent

Function EndBorrow()
	pchsBrutus.MoveTo(pchsBrutusHomeMarker)
	pchsHorseTethered.SetValueInt(1)
	Debug.Notification("Father tethers Brutus back up at the barn")
	DisableSLAC(pchsBrutus)
	Self.Stop()
EndFunction

Function DisableSLAC(Actor akActor)
	If Game.GetModByName("SexLab Aroused Creatures.esp") != 255
		Faction slac_ExcludeFaction = Game.GetFormFromFile(0x08D7E9, "SexLab Aroused Creatures.esp") as Faction
		If slac_ExcludeFaction
			akActor.AddToFaction(slac_ExcludeFaction)			
		EndIf
	EndIf
EndFunction

Function EnableSLAC(Actor akActor)
	If Game.GetModByName("SexLab Aroused Creatures.esp") != 255
		Faction slac_ExcludeFaction = Game.GetFormFromFile(0x08D7E9, "SexLab Aroused Creatures.esp") as Faction
		If slac_ExcludeFaction
			akActor.RemoveFromFaction(slac_ExcludeFaction)			
		EndIf
	EndIf
EndFunction

Actor Property PlayerRef Auto
Actor Property pchsBrutus Auto

ObjectReference Property pchsBrutusHomeMarker Auto
ObjectReference Property pchsMotherSlaveDogSexMarker Auto

Location Property pchsWartimesHomeLocation Auto

GlobalVariable Property pchsHorseTethered Auto
GlobalVariable Property pchsFatherVoluntaryServeRep Auto

pchsWartimesMCM Property Menu Auto
