Scriptname pchsIdleServant extends Quest  

Event OnInit()
	RegisterForMenu("Sleep/Wait Menu")
EndEvent

Event OnMenuOpen(String MenuName)
	WaitStartTime = GameDaysPassed.GetValue()
	PendingTasks = UiKey.GetNumOfPendingTasks()
	;Debug.Messagebox("Pending: " + PendingTasks)
EndEvent

Event OnMenuClose(String MenuName)
	GameDaysPassed.GetValue()
	;Debug.Messagebox("WaitStartTime: " + WaitStartTime + "\n" + ((1.0 / 24.0) * 3.0) + "\n" + WaitStartTime + ((1.0 / 24.0) * 3.0))
	If GameDaysPassed.GetValue() >= WaitStartTime + (1.0 / 24.0) && GameDaysPassed.GetValue() - LastFavourTime >= ((1.0 / 24.0) * 3.0) && FatherRef.GetSleepState() == 0 && pchsHomeLocPlayerLivingRoom.GetValue()
		;Debug.Messagebox("Waited an hour")
		If pchsPcOffersDrink.GetValue() || pchsPcOffersFood.GetValue()
			If !PendingTasks
				Fav.ModStat("Father is happy to see I wait to serve him", Favour = 1.0, Depravity = 0.0, Submission = 0.0, Sender = Self)
				LastFavourTime = GameDaysPassed.GetValue()
			Else
				Debug.Notification("Father's not going to be happy I'm waiting around while there's work to do")
				;Debug.Messagebox("Pending: " + PendingTasks)
			EndIf
		;Else
		;	Debug.Messagebox("Didn't offer")
		EndIf
	;Else
	;	Debug.Messagebox("Didn't wait")
	EndIf
EndEvent

Int PendingTasks
Float WaitStartTime
Float LastFavourTime

Actor Property FatherRef Auto

GlobalVariable Property GameDaysPassed Auto
GlobalVariable Property pchsPcOffersDrink Auto
GlobalVariable Property pchsPcOffersFood Auto
GlobalVariable Property pchsHomeLocPlayerLivingRoom Auto

pchsWtFavour Property Fav Auto
pchsWtUiKey Property UiKey Auto
