Scriptname pchsNoStrip extends Quest  

Event OnInit()
	If Self.IsRunning()
		RegForEvents()
		SaveStrippings()
	EndIf
EndEvent

Function RegForEvents()
	RegisterForModEvent("HookAnimationEnd", "OnAnimationEnd")
EndFunction

Event OnAnimationEnd(int tid, bool HasPlayer)
	If HasPlayer
		Utility.Wait(2.0)
		ReloadStrippings()
		Self.Stop()
	EndIf
EndEvent

Function SaveStrippings()
	;PapyrusUtil.ResizeBoolArray(bool[] ArrayValues, int toSize, bool filler = false) ; Adaptable but slower
	If Config.StripFemale.Length == 34 ; Sexlab Utility Plus found an extra slot...
		StripFemale = new Bool[34]
		StripMale = new Bool[34]
	Else
		StripFemale = new Bool[33]
		StripMale = new Bool[33]
	EndIf
	;Debug.Messagebox("Length: " + Config.StripFemale.Length)
	
	Int i = 0
	While i < Config.StripFemale.Length
		StripFemale[i] = Config.StripFemale[i]
		i += 1
	EndWhile
	While i > 0
		i -= 1
		Config.StripFemale[i] = false
	EndWhile
	
	While i < Config.StripMale.Length
		StripMale[i] = Config.StripMale[i]
		i += 1
	EndWhile
	While i > 0
		i -= 1
		Config.StripMale[i] = false
	EndWhile
EndFunction

Function ReloadStrippings()
	Int i = 0
	While i < Config.StripFemale.Length
		Config.StripFemale[i] = StripFemale[i]
		i += 1
	EndWhile
	
	While i > 0
		i -= 1
		Config.StripMale[i] = StripMale[i]
	EndWhile
EndFunction

Bool[] StripFemale
Bool[] StripMale
;Bool[] StripLeadInFemale
;Bool[] StripVictim

sslSystemConfig property Config auto
