Scriptname pchsSmithPartyTiming extends Quest  

Function ThrewParty()
	If Self.IsRunning()
		;Debug.Messagebox("ThrewParty")
		Reset()
		Util.ToggleSmithGate(LockIt = false)
		OnUpdateGameTime()
	EndIf
EndFunction

Event OnUpdateGameTime()
	If GetCurrentStageID() == 0 ; 6 day delay until next party
		;Debug.Messagebox("7 days until next party")
		Debug.Notification("7 days until the next party")
		SetStage(10)
		RegisterForSingleUpdateGameTime(7.0 * 24.0)
	ElseIf GetCurrentStageID() == 10 ; 1 day to throw a party
		SetStage(20)
		;Debug.Messagebox("1 day to a throw party")
		Debug.Notification("1 day to a throw party")
		RegisterForSingleUpdateGameTime(24.0)
	ElseIf GetCurrentStageID() == 20 ; Deadline expired
		;Debug.Messagebox("Deadline expired")
		Debug.Notification("I should've thrown a party by now. Father's locked the smithy")
		Util.ToggleSmithGate(LockIt = true)
	EndIf
EndEvent

pchsWtUtil Property Util Auto
