Scriptname pchsWartimesMCM extends SKI_ConfigBase

Event OnConfigInit()
	BuildMenuArrays()
	SetFatherCockSize()
	Sos.SetSize((Game.GetFormFromFile(0xB737D, "pchsWartimes.esp") as Actor), 20) ; Jazeem
EndEvent

Event OnPageReset(string page)
	SetCursorFillMode(TOP_TO_BOTTOM)
	Int YpsInstalledFlag = OPTION_FLAG_DISABLED
	If StorageUtil.GetFloatValue(None, "yps_TweakVersion", Missing = -1.0) >= 1.5
		YpsInstalledFlag = OPTION_FLAG_NONE
	EndIf
	
	String ManualStartStr = "Already Started"
	Int CanManualStart = OPTION_FLAG_DISABLED
	If ThisQuest.GetStage() == 50
		CanManualStart = OPTION_FLAG_NONE
		ManualStartStr = "Manual Start"
	EndIf
	
	Int DamageHealthFlag = OPTION_FLAG_DISABLED
	If DamageHealth
		DamageHealthFlag = OPTION_FLAG_NONE
	EndIf
	
	; Left hand side
	AddHeaderOption("Import/Export Settings")
	ImportSettingsOID_T = AddTextOption("Import Settings", "")
	ExportSettingsOID_T = AddTextOption("Export Settings", "")
	AddEmptyOption()
	
	AddHeaderOption("Manual Start")
	ManualStartOID = AddTextOption(ManualStartStr, "", CanManualStart)
	AddEmptyOption()
	
	AddHeaderOption("Settings ")
	LoadOutfitsOID = AddTextOption("Reload Outfits Json", "")
	DamageHealthOID = AddToggleOption("Damage Health", DamageHealth)
	MinHealthOID_S = AddSliderOption("Minimum Health", MinHealth, "{0} Points", DamageHealthFlag)
	NakedAtDB = AddMenuOption("Naked At", NakedAtList[pchsNakedAt.GetValueInt()])
	FatherCocksizeOID_S = AddSliderOption("Father's Cock Size", Sos.GetSize(FatherRef), "{0}")
	MothersCureCostOID_S = AddSliderOption("Mother's Cure Cost", pchsBuyOut.GetValueInt(), "{0} Gold")
	MotherBackCostOID_S = AddSliderOption("Get Mother Back Cost", pchsMBackCost.GetValueInt(), "{0} Gold")
	AddEmptyOption()
	
	AddHeaderOption("Sub Tools")
	keyOID_8 = AddKeyMapOption("UI Menu", UiKey.AioKey)
	keyOID_2 = AddKeyMapOption("Hands behind back", key2)
	keyOID_3 = AddKeyMapOption("Hands above head", key3)
	keyOID_4 = AddKeyMapOption("On all four", key4)
	keyOID_5 = AddKeyMapOption("Carry meal pot", key5)
	keyOID_6 = AddKeyMapOption("Carry drink tray", key6)
	keyOID_7 = AddKeyMapOption("Anal plug menu", key7)
	AddEmptyOption()
	
	AddHeaderOption("Toss Out")
	TossOutBountyWhiterunOID_S = AddSliderOption("Bounty Whiterun", TossOutBountyWhiterun, "{0} Gold")
	TossOutBountyEverywhereOID_S = AddSliderOption("Bounty Everywhere", TossOutBountyEverywhere, "{0} Gold")
	AddEmptyOption()
	
	AddHeaderOption("Job Counts")
	AddTextOption("Job count: Horse Grooming", JobHorseCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskHorse.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Dogs Walking", JobDogsCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskDogs.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Soldier's Cook", JobSoldiersCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskSoldiers.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Oldman's Maid", JobOldmanCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskOldman.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Party", JobPartyCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", taskParty.GetValue() <= 0, OPTION_FLAG_DISABLED)
	AddEmptyOption()
	
	AddHeaderOption("Quest information")
	AddToggleOption("Quest timers", wartimesQuestStatus.GetValueInt() == 1, OPTION_FLAG_DISABLED) 
	keyOID_1 = AddKeyMapOption("Debug menu", key1)
	toggle_StatusUpdate = AddToggleOption("Toggle status update (Servitude questline)", state_StatusUpdate)	
	AddToggleOption("Recognised as naked", (PlayerREF.WornHasKeyWord(ArmorCuirass) == 0 && PlayerREF.WornHasKeyWord(ClothingBody) == 0), OPTION_FLAG_DISABLED)
	AddToggleOption("Recognised as breeder", (PCBreeder.GetValue() >= 1), OPTION_FLAG_DISABLED)
	AddToggleOption("Recognised as pregnant", (PCPregnant.GetValue() >= 1), OPTION_FLAG_DISABLED)
	AddToggleOption("Recognised as Slave Wife", (PCSlaveWife.GetValue() >= 1), OPTION_FLAG_DISABLED)
	AddTextOption("Pregnancy stage", StorageUtil.GetIntValue(PlayerREF, "FW.CurrentState"), OPTION_FLAG_DISABLED)
	AddEmptyOption()
	
	AddHeaderOption("Variables")
	AddTextOption("Father's Favour", FatherRel.GetValueInt(), OPTION_FLAG_DISABLED)
	AddTextOption("Depravity", PCDepravity.GetValueInt(), OPTION_FLAG_DISABLED)
	AddTextOption("Submission", PCSubmission.GetValueInt(), OPTION_FLAG_DISABLED)
	If MotherHealthCaged.GetValue() > 0
		AddTextOption("Mother's remaining vitality", MotherHealthCaged.GetValueInt(), OPTION_FLAG_DISABLED)
	Else
		AddTextOption("Remaining healing time for Mother", MotherHealth.GetValueInt(), OPTION_FLAG_DISABLED)
	EndIf
	
	SetCursorPosition(1) ; Right hand side
	AddHeaderOption("Tasks ")
	TasksEndHourOID_S = AddSliderOption("Tasks End At", TasksEndHour, "{0}:00")
	TasksBeginHourOID_S = AddSliderOption("Tasks Begin At", TasksBeginHour, "{0}:00")
	CookingSkillOID_S = AddSliderOption("Cooking Skill For 100%", CookingSkill, "{0}")
	CookingFailChanceMinOID_S = AddSliderOption("Cooking Fail Min", CookingFailChanceMin, "{1}%")
	FirewoodJobOID = AddToggleOption("Firewood Job", pchsJobFirewood.GetValue())
	StorageUtil.SetIntValue(Self, "pchsWtSupplyRunDelayMinOID_S", AddSliderOption("Supply Run Days Min", StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0), "{0} Days"))
	StorageUtil.SetIntValue(Self, "pchsWtSupplyRunDelayMaxOID_S", AddSliderOption("Supply Run Days Max", StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0), "{0} Days"))
	MilkQuotaPerLevelOID_S = AddSliderOption("Milk Quota Per Level", MilkQuotaPerLevel, "{0} Milks")
	CumSlutJobOID = AddToggleOption("Cum Slut Job", pchsJobCumSlut.GetValue() as Bool)
	CumtainerCountMaxOID_S = AddSliderOption("Cumtainers Required Max", pchsCumtainerCountMax.GetValue(), "{0}")
	FashionJobOID = AddToggleOption("Fashion Job", pchsJobFashion.GetValue() as Bool)
	FashionSupOID_S = AddSliderOption("Fashion Supplement", StorageUtil.GetFloatValue(None, "pchsWtFashionSupplement", Missing = 1.0), "{1}x")
	RequireStockingsOID = AddToggleOption("Require Stockings & Heels", RequireStockings, YpsInstalledFlag)
	HeelHeightOID_S = AddSliderOption("Heel Height Required", HeelHeight, "{1}")
	PiercingsJobOID = AddToggleOption("Piercings Job", pchsJobPiercings.GetValue() as Bool)
	PiercingsDiscountOID_S = AddSliderOption("Piercings Discount", (Game.GetFormFromFile(0x2DA3CD, "pchsWartimes.esp") as pchsCarriageUtil).PiercingsDiscount * 100.0, "{0}%")
	WeldPiercingsOID = AddToggleOption("Weld Piercings", WeldPiercings)
	HairColourJobOID = AddToggleOption("Hair Colour Job", pchsJobHairColour.GetValue() as Bool)
	HairColourCooloffOID_S = AddSliderOption("Hair Colour Cooloff", HairColour.ColourChangeCooloff, "{0} Days")
	HairColourChangeChanceOID_S = AddSliderOption("Hair Colour Change Chance", HairColour.NewColourRequestChance, "{0}% Per Day")
	AddTextOption("Demanded Hair Colour", HairColour.CurrentFavHair, OPTION_FLAG_DISABLED)
	BondageJobOID = AddToggleOption("Bondage Job", pchsJobBondage.GetValue() as Bool)
	BondageLevelDB = AddMenuOption("Max Bondage", DevicesList[pchsBoundaryBondageMax.GetValueInt() - 1])
	StorageUtil.SetIntValue(Self, "pchsWtPartyTasksReqOID_S", AddSliderOption("Party Tasks Max", pchsPartyTasksReq.GetValue(), "{0}"))
	AddEmptyOption()
	
	AddHeaderOption("Sex ")
	FatherArousalMinOID_S = AddSliderOption("Tense Arousal Min", SeedArousalMin, "{0}%")
	FatherArousalMaxOID_S = AddSliderOption("Tense Arousal Max", SeedArousalMax, "{0}%")
	NpcSexChanceOID_S = AddSliderOption("Npc Sex Chance", HomeSex.NpcSexChanceMult * 100.0, "{0}%")
	BestialityOID = AddToggleOption("Bestiality ", pchsBeastiality.GetValue() as Bool)
	CumPoolsOID = AddToggleOption("Cum Pools", (Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools).CumPoolsEnable)
	PlayerOrgasmsMaxOID_S = AddSliderOption("Max Player Orgasms", (Game.GetFormFromFile(0x4CA9BD, "pchsWartimes.esp") as GlobalVariable).GetValueInt(), "{0}") ; pchsPlayerOrgasmsMax
	PlayerOrgasmCorruptionThresOID_S = AddSliderOption("Orgasm Corruption Threshold", (Game.GetFormFromFile(0x539FF2, "pchsWartimes.esp") as GlobalVariable).GetValue(), "{0}%") ; pchsPlayerOrgasmCorruptionThres
	AddEmptyOption()
	
	AddHeaderOption("Sex Progression")
	SexProgTypeDB = AddMenuOption("Sex Progression", SexProgTypes[Apol.pchsSexProgressionType.GetValueInt()])
	RegSexBeginsAtDB = AddMenuOption("Regular Sex Begins At", RegSexBeginsAt[Apol.pchsRegSexBeginsAt.GetValueInt()])
	BoundaryMinSexActsOID_S = AddSliderOption("Sex Acts Min", BoundarySexActsMin, "{0}")
	BoundaryMaxSexActsOID_S = AddSliderOption("Sex Acts Max", BoundarySexActsMax, "{0}")
	BoundaryAdvanceChanceOID_S = AddSliderOption("Advance Chance", BoundaryAdvanceChance, "{1}%")
	BoundaryAdvanceChanceIncOID_S = AddSliderOption("Advance Chance Increase", BoundaryAdvanceChanceInc, "{1}%")
	AddEmptyOption()
	
	AddHeaderOption("Favour ")
	BaseFavourLossOID_S = AddSliderOption("Base Favour Loss", BaseFavourLoss, "{0} Favour")
	TasksTilFavourLossMaxOID_S = AddSliderOption("Tasks Until Max Loss", Fav.TasksTilMaxLoss, "{0} Tasks")
	FavourLossMaxOID_S = AddSliderOption("Favour Loss Max", Fav.FavorLossAtMax, "{0} Favour")
	ApologyFavourRecoveryOID_S = AddSliderOption("Apology Recovery Rate", Fav.ApologyFavRegainRate * 100.0, "{0}%")
	BlockLicencesOID = AddToggleOption("Block Licences", BlockLicences)
	LicenceCostOID_S = AddSliderOption("Basic Licence Cost", pchsSlsLicenceCost.GetValue(), "{0} Favour")
	LicenceCostClothesOID_S = AddSliderOption("Clothes Licence Cost", pchsSlsLicenceCostClothes.GetValue(), "{0} Favour")
	DeviceRemovalCostOID_S = AddSliderOption("Device Removal Cost", DdRemCostBase, "{0} Favour")
	BrutusBorrowDaysOID_S = AddSliderOption("Brutus Borrow Time", BrutusBorrowTime, "{0} Days")
	TimeOff1FavourOID_S = AddSliderOption("1 Day Off Cost", ToffGlobs[0].GetValueInt(), "{0} Favour")
	TimeOff2FavourOID_S = AddSliderOption("2 Days Off Cost", ToffGlobs[1].GetValueInt(), "{0} Favour")
	TimeOff3FavourOID_S = AddSliderOption("3 Days Off Cost", ToffGlobs[2].GetValueInt(), "{0} Favour")
	TimeOff4FavourOID_S = AddSliderOption("7 Days Off Cost", ToffGlobs[3].GetValueInt(), "{0} Favour")
	AddEmptyOption()
	
	AddEmptyOption()
EndEvent


Event OnOptionKeyMapChange(int option, int keyCode, string conflictControl, string conflictName)
    If (option == keyOID_1)
		UnRegisterForKey(key1)
        key1 = keyCode
        DoRegisterForKey(key1)
        SetKeyMapOptionValue(keyOID_1, key1)
	ElseIf (option == keyOID_2)
		UnRegisterForKey(key2)
        key2 = keyCode
        DoRegisterForKey(key2)
    	SetKeyMapOptionValue(keyOID_2, key2)
	ElseIf (option == keyOID_3)
		UnRegisterForKey(key3)
        key3 = keyCode
        DoRegisterForKey(key3)
    	SetKeyMapOptionValue(keyOID_3, key3)
	ElseIf (option == keyOID_4)
		UnRegisterForKey(key4)
        key4 = keyCode
        DoRegisterForKey(key4)
    	SetKeyMapOptionValue(keyOID_4, key4)
	ElseIf (option == keyOID_5)
		UnRegisterForKey(key5)
        key5 = keyCode
        DoRegisterForKey(key5)
    	SetKeyMapOptionValue(keyOID_5, key5)
	ElseIf (option == keyOID_6)
		UnRegisterForKey(key6)
        key6 = keyCode
        DoRegisterForKey(key6)
    	SetKeyMapOptionValue(keyOID_6, key6)
	ElseIf (option == keyOID_7)
		UnRegisterForKey(key7)
        key7 = keyCode
        DoRegisterForKey(key7)
    	SetKeyMapOptionValue(keyOID_7, key7)
	ElseIf (option == keyOID_8)
		UiKey.SetKey(KeyCode)
		SetKeyMapOptionValue(keyOID_8, UiKey.AioKey)
    EndIf
EndEvent

Function DoRegisterForKey(Int KeyCode)
	If KeyCode > 0
		RegisterForKey(KeyCode)
	EndIf
EndFunction

Event OnKeyDown(Int KeyCode)
	If !UI.IsMenuOpen("InventoryMenu") && !UI.IsMenuOpen("Console") && !UI.IsMenuOpen("ContainerMenu") && !UI.IsMenuOpen("BarterMenu") && !UI.IsMenuOpen("Crafting Menu")
		If KeyCode == key1
			Int iButton = OptionsMESG.Show()
				If iButton == 0
					RegisterForUpdateGameTime(1.00)
					debug.notification("Wartimes timers fired up.")
				ElseIf iButton == 1
					FatherREF.MoveTo(PlayerREF)
				ElseIf iButton == 2
					Int iReferenceD = dirtObjects.Length
					While (iReferenceD)
						iReferenceD -= 1
						dirtObjects[iReferenceD].Enable()
					EndWhile
					dirtLastClean.SetValue(Utility.GetCurrentGameTime())
				ElseIf iButton == 3
					ManualStart()
				ElseIf iButton == 4
					Int iRefD = Disableditems.Length
					While (iRefD)
						iRefD -= 1
						Disableditems[iRefD].Disable()
					EndWhile

					Int iRefE = Enableditems.Length
					While (iRefE)
						iRefE -= 1
						Enableditems[iRefE].Enable()
					EndWhile

					gotBDSMFurnitureGlobal.SetValue(1)
				EndIf
		ElseIf KeyCode == key2
			If PoseFlag.GetValueInt() == 0
				Debug.Notification("I submissively put my hands behind my back")
				Game.GetPlayer().PlayIdle(HandsBehindBack)
				PoseFlag.SetValueInt(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
			EndIf
		ElseIf KeyCode == key3
			If PoseFlag.GetValueInt() == 0
				Debug.Notification("I submissively put my hands above my head")
				Game.GetPlayer().PlayIdle(HandsAboveHead)
				PoseFlag.SetValueInt(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
			EndIf
		ElseIf KeyCode == key4
			If PoseFlag.GetValueInt() == 0
				Debug.Notification("I submissively fall down on all fours")
				If Game.GetModByName("dcc-dm2.esp") != 255
					Game.GetPlayer().PlayIdle(Game.GetFormFromFile(0x005E99, "dcc-dm2.esp") as Idle) ; dcc_dm_IdleSubmit1 - old doggySumbit property
				Else
					Game.GetPlayer().PlayIdle(zbfIdleKneelLickFeet)
				EndIf
				PoseFlag.SetValueInt(1)
			Else
				Game.GetPlayer().PlayIdle(ForceResetIdle)
				PoseFlag.SetValueInt(0)
			EndIf
		ElseIf KeyCode == key5
			If PoseFlag.GetValueInt() == 0
				Game.GetPlayer().PlayIdle(CarryPot)
				PoseFlag.SetValueInt(1)
				OffersFood.SetValue(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
				OffersFood.SetValue(0)
				OffersDrink.SetValue(0)
			EndIf
		ElseIf KeyCode == key6
			If PoseFlag.GetValueInt() == 0
				Game.GetPlayer().PlayIdle(CarryDrinks)
				PoseFlag.SetValueInt(1)
				OffersDrink.SetValue(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
				OffersDrink.SetValue(0)
				OffersFood.SetValue(0)
			EndIf
		ElseIf KeyCode == key7
			PlugMenu()
		EndIf
	EndIf
EndEvent

Event OnOptionHighlight(int option)
	If Option == ImportSettingsOID_T
		SetInfoText("Load settings from file")
	ElseIf Option == ExportSettingsOID_T
		SetInfoText("Save settings to file")
	ElseIf Option == keyOID_8
		SetInfoText("UI extensions menu\nThis menu has access to all functions needed to run the mod so there's no need to bind the other keys if you don't want to.")
	ElseIf Option == ManualStartOID
		SetInfoText("Use this to start the mod if you don't use the mod Alternate Start")
	ElseIf Option == LoadOutfitsOID
		SetInfoText("Reload Outfits.json\nIt's run once automatically at the start of a game but anytime you modify Outfits.json after that then you'll need to hit this button to setup all the internals for Wartimes outfits.")
	ElseIf Option == DamageHealthOID
		SetInfoText("Enable/Disable the mod to manipulate health.\nIdeally, for the greatest impact, this option should be enabled but too many mods trying to manipulate health can have undesirable effects like instantly dying or getting stuck in a bleedout loop.")
	ElseIf Option == MinHealthOID_S
		SetInfoText("The minimum health the mod will try to maintain to avoid interfering with defeat/bleedout type mods")
	ElseIf Option == NakedAtDB
		SetInfoText("At what point Father will require you be naked at home\nVanilla - How the mod originally worked (nakedness can often happen quite quickly)\nOutfit Prog: After you've gone through each outfit level\nSubmission: Max submission will take a while to hit\nNever: Never asked to be naked. You'll remain at max outfit level once reached - For people that think skimpy outfits are actually more degrading than being naked")
	ElseIf Option == FatherCocksizeOID_S
		SetInfoText("How much cock do you want? Greedy girl.\nSets SOS size")
	ElseIf Option == MothersCureCostOID_S
		SetInfoText("How much Mother's cure costs")
	ElseIf Option == MotherBackCostOID_S
		SetInfoText("How much it costs to get Mother back. Requires Amputator Framework Tweaked")
	ElseIf Option == TimeOff1FavourOID_S || Option == TimeOff2FavourOID_S || Option == TimeOff3FavourOID_S || Option == TimeOff4FavourOID_S
		SetInfoText("How much favour it costs for days off\nSet to -1 to disable that option")	
	ElseIf Option == BaseFavourLossOID_S
		SetInfoText("The base amount of favour you'll lose when you fail father")
	ElseIf Option == TossOutBountyWhiterunOID_S
		SetInfoText("When thrown out of the house for not performing well (Favour <= -10) father will use his connections to put a bounty on you in Whiterun to make your life as difficult as possible\nFather will remove all the bounties he placed on you when you return to him\nBeing thrown out for good will double any bounty\nThis slider will override the 'Bounty everywhere' slider for Whiterun if it's set > 0")
	ElseIf Option == TossOutBountyEverywhereOID_S
		SetInfoText("When thrown out of the house for not performing well (Favour <= -10) father will use his connections to put a bounty on you all the holds to make your life as difficult as possible\nFather will remove all the bounties he placed on you when you return to him\nBeing thrown out for good will double any bounty")
	ElseIf Option == FatherArousalMinOID_S || Option == FatherArousalMaxOID_S
		SetInfoText("When father becomes 'tense', if his arousal is below minimum it will be increased to between this min and max\nMakes SLSO orgasms more achievable")
	ElseIf Option == TasksEndHourOID_S
		SetInfoText("New tasks will not be assigned passed this hour\nTasks that are already active still need to be completed")
	ElseIf Option == TasksBeginHourOID_S
		SetInfoText("New tasks will not be assigned before this hour\nTasks that are already active still need to be completed")
	ElseIf Option == CookingSkillOID_S
		SetInfoText("The alchemy skill at which you will achieve the highest success chance of creating a good meal for Father\nExcludes minimum failure chance. You have a minimum 33% chance of successfully cooking no matter your alchemy skill")
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMinOID_S")
		SetInfoText("The minimum time between supply runs\nWill take effect after the next supply run")
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMaxOID_S")
		SetInfoText("The maximum time between supply runs\nWill take effect after the next supply run")
	ElseIf Option == CookingFailChanceMinOID_S
		SetInfoText("The minimum chance you will mess something up with Father's meal - Burn it/too much salt or Father just being a dickhead etc\nThis is obviously an unfair mechanic to push you into apology sex and thus push your boundaries\nSet to 0% and you will always succeed at cooking skill max")
	ElseIf Option == MilkQuotaPerLevelOID_S
		SetInfoText("The number of milks you need to bring father to gain his favour\nEg: Maid level 0 = 4 milks, Level 1 = 8 milks, Level 2 = 12 milks\nIf you bring father at least half of your quota you won't lose or gain any favour")
	ElseIf Option == RequireStockingsOID
		SetInfoText("If YPS Fashion is installed father will demand you wear stockings and high heels")
	ElseIf Option == HeelHeightOID_S
		SetInfoText("If your heels are HDT heels or flagged as Killer Heels in SLAX then they will automatically qualify as 'high heels'\nIf the heels are NiO heels then they need to be higher than this to pass as high heels")
	ElseIf Option == PiercingsDiscountOID_S
		SetInfoText("Father will pay this much of the cost of your piercings. The rest you'll have to pay yourself\nImmersive fashion allows you to pay using debt. IF debt will magically take any gold you owe from your inventory when you get more gold")
	ElseIf Option == CumSlutJobOID
		SetInfoText("Enable/Disable the 'Cum Slut' job. It's highly recommended that your game is set up so that you usually have to wash cum off -> that it doesn't normally disappear over time. Spoilers:\nJob where you are required to regularily collect SLS cum for father and go without bathing until you get permission")
	ElseIf Option == FirewoodJobOID
		SetInfoText("Task to chop wood for the fire.")
	ElseIf Option == CumtainerCountMaxOID_S
		SetInfoText("The maximum number of cumtainers father will expect you to fill")
	ElseIf Option == FashionJobOID
		SetInfoText("Father will gradually increase demands that you improve your YPS appearance. Failing to do so results in favour loss")
	ElseIf Option == FashionSupOID_S
		SetInfoText("Multiplies how much gold Father will give you to help cover the cost of your YPS Immersive Fashion upkeep")
	ElseIf Option == PiercingsJobOID
		SetInfoText("Father will send you to Solitude to have you add Immersive Fashion piercings to your body\nYou can configure what and when in Piercings.json\nWarning! YPS can take a really long time to do things so just be patient when getting piercings done. Especially multiple piercings")
	ElseIf Option == WeldPiercingsOID
		SetInfoText("Your piercings will be welded on to prevent you removing them without paying for it")
	ElseIf Option == HairColourJobOID
		SetInfoText("Father will begin demand that you dye your hair random colours\nYou'll have to touch up your dyed hair if it begins to fade.")
	ElseIf Option == HairColourCooloffOID_S
		SetInfoText("Minimum days between Father demanding you change your hair colour to something new\nI'd recommend lowering the time between hair colourings in Immersive Fashion MCM. The default of 21 days is far too long")
	ElseIf Option == HairColourChangeChanceOID_S
		SetInfoText("The chance per day that Father will demand you change your hair colour\nThe cooloff period must have expired first")
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtPartyTasksReqOID_S")
		SetInfoText("How many tasks are required to complete the party. Required party satisfaction will be adjusted to be proportionate")
	ElseIf Option == BondageJobOID
		SetInfoText("Father will eventually demand you wear Devious Devices. Failing to do so results in favour loss\nDefault disabled in favour of YPS mechanics - piercings/makeup/stockings etc can all be blocked by devious devices. Recommend leaving this toggled off if running Immersive Fashion")
	ElseIf Option == BondageLevelDB
		SetInfoText("The maximum level of Devious Devices bondage Father will demand\nIf you plan on using Immersive Fashion more I'd leave this set to Arm & Leg cuffs only as boots and gloves interfere with yps nail polish and obviously DD piercings interfere with YPS piercings")
	ElseIf Option == SexProgTypeDB
		SetInfoText("Choose how sex the sex acts you are to perform advance Eg: Handjob -> Blowjob\nVanilla - The regular (tense) sex task or apology sex can advance you to the next stage\nApology only - Only apology sex will advance you to the next stage.")
	ElseIf Option == RegSexBeginsAtDB
		SetInfoText("At what point in your sex progression will you be expected to begin to regularly service Father's cock (tense sex)")
	ElseIf Option == BestialityOID
		SetInfoText("Enable/disable the creature content side of the mod. There may still be references via dialogue/message boxes etc")
	ElseIf Option == CumPoolsOID
		SetInfoText("Sex may leave pools of cum around the home\nIf the house gets too messy Father may get angry")
	ElseIf Option == PlayerOrgasmsMaxOID_S
		SetInfoText("In addition to making your partner cum, Father will eventually expect that you orgasm yourself during sex (requires SLSO).\nHe will gradually increase the number of times you are required to cum during sex to this value\nDefault max is 1 because more than 1 is difficult to achieve consistently")
	ElseIf Option == PlayerOrgasmCorruptionThresOID_S
		SetInfoText("At what SLS creature corruption level Father will stop requiring you to have an orgasm when having non-bestiality sex\nSLS creature corruption reduces SLSO enjoyment for the player as corruption increases, making orgasms more and more difficult (and eventually nearly impossible) to achieve with normal sex")
	ElseIf Option == BoundaryMinSexActsOID_S
		SetInfoText("Minimum number of sex acts before moving on to the next\nActual is somewhere between Min & Max")
	ElseIf Option == BoundaryMaxSexActsOID_S
		SetInfoText("Maximum number of sex acts before moving on to the next\nActual is somewhere between Min & Max")
	ElseIf Option == BoundaryAdvanceChanceOID_S
		SetInfoText("Once you hit sex acts max you have this percentage chance to move onto the next act")
	ElseIf Option == BoundaryAdvanceChanceIncOID_S
		SetInfoText("If the check to advance your sex boundary fails then this percentage increase will apply on the next check")
	ElseIf Option == TasksTilFavourLossMaxOID_S
		SetInfoText("As you complete tasks for father he will become increasingly critical of your failures\nWhen tasks reach 'Tasks Max' you will lose 'Max Favour' whenever you fail a task")
	ElseIf Option == FavourLossMaxOID_S
		SetInfoText("The maximum favour you'll lose for any single failure when you reach 'Tasks Max'")
	ElseIf Option == ApologyFavourRecoveryOID_S
		SetInfoText("How much favour you'll recover when you successfully apologize to father for failing\nSex apologies normally require the recipient to have an SLSO orgasm for successful apology")
	ElseIf Option == NpcSexChanceOID_S
		SetInfoText("Reduce/Increase the chances for Npcs to have sex between themselves")
	ElseIf Option == BlockLicencesOID
		SetInfoText("Block regular licence purchasing from SLS quartermasters\nThis will make you more reliant on Father and his favour\nNote I haven't plugged this into the various endings so you'll have to disable this manually when you feel it's appropriate")
	ElseIf Option == LicenceCostOID_S
		SetInfoText("The favour cost of regular licences - Magic, weapon, bikini")
	ElseIf Option == LicenceCostClothesOID_S
		SetInfoText("The favour cost of clothes licences")
	ElseIf Option == DeviceRemovalCostOID_S
		SetInfoText("How much favour it costs to remove a Devious Device\nThe cost to remove another DD goes up after you get one removed. This cost reduces slowly over time. Changing the value now will reset the accumulation of cost\nJson settings. 'ddreminc' - How much cost goes up by when you remove a DD. 'ddremmax' - The maximum cost to remove DDs. ")
	ElseIf Option == BrutusBorrowDaysOID_S
		SetInfoText("How long Father will allow you to use Brutus for\nNeeds to be set before asking to borrow Brutus")
	EndIf
EndEvent

Function SetSliderOptions(Float Value, Float Default, Float Min, Float Max, Float Interval)
	SetSliderDialogStartValue(Value)
	SetSliderDialogDefaultValue(Default)
	SetSliderDialogRange(Min, Max)
	SetSliderDialogInterval(Interval)
EndFunction

Event OnOptionSliderOpen(int option)
	If Option == MinHealthOID_S
		SetSliderOptions(Value = MinHealth, Default = 20.0, Min = 10.0, Max = 50.0, Interval = 5.0)
	ElseIf Option == FatherCocksizeOID_S
		SetSliderOptions(Value = Sos.GetSize(FatherRef), Default = 11.0, Min = 1.0, Max = 20, Interval = 1.0)
	ElseIf Option == MothersCureCostOID_S
		SetSliderOptions(Value = pchsBuyOut.GetValueInt(), Default = 10000.0, Min = 1000.0, Max = 100000, Interval = 1000.0)
	ElseIf Option == MotherBackCostOID_S
		SetSliderOptions(Value = pchsMBackCost.GetValueInt(), Default = 2000.0, Min = 500.0, Max = 100000, Interval = 500.0)
	ElseIf Option == TimeOff1FavourOID_S
		SetSliderOptions(Value = ToffGlobs[0].GetValueInt(), Default = 20.0, Min = -1.0, Max = 100, Interval = 1.0)
	ElseIf Option == TimeOff2FavourOID_S
		SetSliderOptions(Value = ToffGlobs[1].GetValueInt(), Default = 30.0, Min = -1.0, Max = 100, Interval = 1.0)
	ElseIf Option == TimeOff3FavourOID_S
		SetSliderOptions(Value = ToffGlobs[2].GetValueInt(), Default = 40.0, Min = -1.0, Max = 100, Interval = 1.0)
	ElseIf Option == TimeOff4FavourOID_S
		SetSliderOptions(Value = ToffGlobs[3].GetValueInt(), Default = 80.0, Min = -1.0, Max = 100, Interval = 1.0)
	ElseIf Option == BoundaryMinSexActsOID_S
		SetSliderOptions(Value = BoundarySexActsMin, Default = 1.0, Min = 1.0, Max = BoundarySexActsMax, Interval = 1.0)
	ElseIf Option == BoundaryMaxSexActsOID_S
		SetSliderOptions(Value = BoundarySexActsMax, Default = 2.0, Min = BoundarySexActsMin, Max = 10.0, Interval = 1.0)
	ElseIf Option == BoundaryAdvanceChanceOID_S
		SetSliderOptions(Value = BoundaryAdvanceChance, Default = 50.0, Min = 0.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == BoundaryAdvanceChanceIncOID_S
		SetSliderOptions(Value = BoundaryAdvanceChanceInc, Default = 25.0, Min = 0.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == BaseFavourLossOID_S
		SetSliderOptions(Value = BaseFavourLoss, Default = -1.0, Min = -10.0, Max = -1.0, Interval = 1.0)
	ElseIf Option == TossOutBountyWhiterunOID_S
		SetSliderOptions(Value = TossOutBountyWhiterun, Default = 1000.0, Min = 0.0, Max = 10000, Interval = 100.0)
	ElseIf Option == TossOutBountyEverywhereOID_S
		SetSliderOptions(Value = TossOutBountyEverywhere, Default = 2500.0, Min = 0.0, Max = 10000, Interval = 100.0)
	ElseIf Option == FatherArousalMinOID_S
		SetSliderOptions(Value = SeedArousalMin, Default = 35.0, Min = 0.0, Max = SeedArousalMax, Interval = 5.0)
	ElseIf Option == FatherArousalMaxOID_S
		SetSliderOptions(Value = SeedArousalMax, Default = 70.0, Min = SeedArousalMin, Max = 100, Interval = 5.0)
	ElseIf Option == TasksEndHourOID_S
		SetSliderOptions(Value = TasksEndHour, Default = 23.0, Min = TasksBeginHour, Max = 24.0, Interval = 1.0)
	ElseIf Option == TasksBeginHourOID_S
		SetSliderOptions(Value = TasksBeginHour, Default = 7.0, Min = 0.0, Max = TasksEndHour, Interval = 1.0)
	ElseIf Option == CookingSkillOID_S
		SetSliderOptions(Value = CookingSkill, Default = 50.0, Min = 0.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == CookingFailChanceMinOID_S
		SetSliderOptions(Value = CookingFailChanceMin, Default = 5.0, Min = 0.0, Max = 100.0, Interval = 0.1)
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMinOID_S")
		SetSliderOptions(Value = StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0), Default = 2.0, Min = 1.0, Max = StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0), Interval = 1.0)
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMaxOID_S")
		SetSliderOptions(Value = StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0), Default = 3.0, Min = StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0), Max = 30.0, Interval = 1.0)
	ElseIf Option == MilkQuotaPerLevelOID_S
		SetSliderOptions(Value = MilkQuotaPerLevel, Default = 3.0, Min = 1.0, Max = 10.0, Interval = 1.0)
	ElseIf Option == CumtainerCountMaxOID_S
		SetSliderOptions(Value = pchsCumtainerCountMax.GetValue(), Default = 3.0, Min = 1.0, Max = 3.0, Interval = 1.0)
	ElseIf Option == FashionSupOID_S
		SetSliderOptions(Value = StorageUtil.GetFloatValue(None, "pchsWtFashionSupplement", Missing = 1.0), Default = 1.0, Min = 0.0, Max = 3.0, Interval = 0.1)
	ElseIf Option == HeelHeightOID_S
		SetSliderOptions(Value = HeelHeight, Default = 4.0, Min = 0.0, Max = 10.0, Interval = 0.1)
	ElseIf Option == PiercingsDiscountOID_S
		SetSliderOptions(Value = (Game.GetFormFromFile(0x2DA3CD, "pchsWartimes.esp") as pchsCarriageUtil).PiercingsDiscount * 100.0, Default = 90.0, Min = 0.0, Max = 100.0, Interval = 10.0)	
	ElseIf Option == HairColourCooloffOID_S
		SetSliderOptions(Value = HairColour.ColourChangeCooloff, Default = 3.0, Min = 0.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == HairColourChangeChanceOID_S
		SetSliderOptions(Value = HairColour.NewColourRequestChance, Default = 5.0, Min = 0.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtPartyTasksReqOID_S")
		SetSliderOptions(Value = pchsPartyTasksReq.GetValue(), Default = 10.0, Min = 4.0, Max = 40.0, Interval = 1.0)
	ElseIf Option == TasksTilFavourLossMaxOID_S
		SetSliderOptions(Value = Fav.TasksTilMaxLoss, Default = 100.0, Min = 0.0, Max = 1000.0, Interval = 10.0)
	ElseIf Option == FavourLossMaxOID_S
		SetSliderOptions(Value = Fav.FavorLossAtMax, Default = 10.0, Min = 1.0, Max = 50, Interval = 1.0)
	ElseIf Option == ApologyFavourRecoveryOID_S
		SetSliderOptions(Value = Fav.ApologyFavRegainRate * 100.0, Default = 90.0, Min = 0.0, Max = 150.0, Interval = 10.0)
	ElseIf Option == NpcSexChanceOID_S
		SetSliderOptions(Value = HomeSex.NpcSexChanceMult * 100.0, Default = 100.0, Min = 0.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == PlayerOrgasmsMaxOID_S
		SetSliderOptions(Value = (Game.GetFormFromFile(0x4CA9BD, "pchsWartimes.esp") as GlobalVariable).GetValueInt(), Default = 1.0, Min = 0.0, Max = 10.0, Interval = 1.0) ; pchsPlayerOrgasmsMax
	ElseIf Option == PlayerOrgasmCorruptionThresOID_S
		SetSliderOptions(Value = (Game.GetFormFromFile(0x539FF2, "pchsWartimes.esp") as GlobalVariable).GetValue(), Default = 50.0, Min = 0.0, Max = 101.0, Interval = 1.0) ; pchsPlayerOrgasmCorruptionThres
	ElseIf Option == LicenceCostOID_S
		SetSliderOptions(Value = pchsSlsLicenceCost.GetValue(), Default = 8.0, Min = 1.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == LicenceCostClothesOID_S
		SetSliderOptions(Value = pchsSlsLicenceCostClothes.GetValue(), Default = 20.0, Min = 1.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == DeviceRemovalCostOID_S
		SetSliderOptions(Value = DdRemCostBase, Default = 10.0, Min = 1.0, Max = 100.0, Interval = 1.0)
		pchsDdRemCost.SetValueInt(DdRemCostBase)
		ThisQuest.UpdateCurrentInstanceGlobal(pchsDdRemCost)
	ElseIf Option == BrutusBorrowDaysOID_S
		SetSliderOptions(Value = BrutusBorrowTime, Default = 7.0, Min = 1.0, Max = 14.0, Interval = 1.0)
	EndIf
EndEvent

Event OnOptionSliderAccept(int option, float value)
	If Option == MinHealthOID_S
		MinHealth = Value
		SetSliderOptionValue(MinHealthOID_S, MinHealth)
	ElseIf Option == MothersCureCostOID_S
		pchsBuyOut.SetValueInt(Value as Int)
		UpdateCurrentInstanceGlobal(pchsBuyOut)
		SetSliderOptionValue(MothersCureCostOID_S, pchsBuyOut.GetValueInt())
	ElseIf Option == MotherBackCostOID_S
		pchsMBackCost.SetValueInt(Value as Int)
		UpdateCurrentInstanceGlobal(pchsMBackCost)
		SetSliderOptionValue(MotherBackCostOID_S, pchsMBackCost.GetValueInt())
	ElseIf Option == FatherCocksizeOID_S
		Sos.FatherCockSize = Value as Int
		SetFatherCockSize()
		SetSliderOptionValue(FatherCocksizeOID_S, Sos.GetSize(FatherRef))
	
	ElseIf Option == TimeOff1FavourOID_S
		ToffGlobs[0].SetValueInt(Value as Int)
		SetSliderOptionValue(TimeOff1FavourOID_S, ToffGlobs[0].GetValueInt())
		Self.UpdateCurrentInstanceGlobal(ToffGlobs[0])
	ElseIf Option == TimeOff2FavourOID_S
		ToffGlobs[1].SetValueInt(Value as Int)
		SetSliderOptionValue(TimeOff2FavourOID_S, ToffGlobs[1].GetValueInt())
		Self.UpdateCurrentInstanceGlobal(ToffGlobs[1])
	ElseIf Option == TimeOff3FavourOID_S
		ToffGlobs[2].SetValueInt(Value as Int)
		SetSliderOptionValue(TimeOff3FavourOID_S, ToffGlobs[2].GetValueInt())
		Self.UpdateCurrentInstanceGlobal(ToffGlobs[2])
	ElseIf Option == TimeOff4FavourOID_S
		ToffGlobs[3].SetValueInt(Value as Int)
		SetSliderOptionValue(TimeOff4FavourOID_S, ToffGlobs[3].GetValueInt())
		Self.UpdateCurrentInstanceGlobal(ToffGlobs[3])
		
	ElseIf Option == BoundaryMinSexActsOID_S
		BoundarySexActsMin = Value as Int
		SetSliderOptionValue(BoundaryMinSexActsOID_S, Value)
		Apol.SetBoundaryThreshold()
		Apol.SetBoundaryThresholdBeast()
	ElseIf Option == BoundaryMaxSexActsOID_S
		BoundarySexActsMax = Value as Int
		SetSliderOptionValue(BoundaryMaxSexActsOID_S, Value)
		Apol.SetBoundaryThreshold()
		Apol.SetBoundaryThresholdBeast()
	ElseIf Option == BoundaryAdvanceChanceOID_S
		BoundaryAdvanceChance = Value
		SetSliderOptionValue(BoundaryAdvanceChanceOID_S, Value)
	ElseIf Option == BoundaryAdvanceChanceIncOID_S
		BoundaryAdvanceChanceInc = Value
		SetSliderOptionValue(BoundaryAdvanceChanceIncOID_S, Value)
	ElseIf Option == BaseFavourLossOID_S
		BaseFavourLoss = Value
		SetSliderOptionValue(BaseFavourLossOID_S, BaseFavourLoss)
	ElseIf Option == TossOutBountyWhiterunOID_S
		TossOutBountyWhiterun = Value as Int
		SetSliderOptionValue(TossOutBountyWhiterunOID_S, TossOutBountyWhiterun)
	ElseIf Option == TossOutBountyEverywhereOID_S
		TossOutBountyEverywhere = Value as Int
		SetSliderOptionValue(TossOutBountyEverywhereOID_S, TossOutBountyEverywhere)
	ElseIf Option == FatherArousalMinOID_S
		SeedArousalMin = Value
		SetSliderOptionValue(FatherArousalMinOID_S, SeedArousalMin)
	ElseIf Option == FatherArousalMaxOID_S
		SeedArousalMax = Value
		SetSliderOptionValue(FatherArousalMaxOID_S, SeedArousalMax)
	ElseIf Option == TasksEndHourOID_S
		TasksEndHour = Value
		SetSliderOptionValue(TasksEndHourOID_S, TasksEndHour)
	ElseIf Option == TasksBeginHourOID_S
		TasksBeginHour = Value
		SetSliderOptionValue(TasksBeginHourOID_S, TasksBeginHour)
	ElseIf Option == CookingSkillOID_S
		CookingSkill = Value
		SetSliderOptionValue(CookingSkillOID_S, CookingSkill)
	ElseIf Option == CookingFailChanceMinOID_S
		CookingFailChanceMin = Value
		SetSliderOptionValue(CookingFailChanceMinOID_S, CookingFailChanceMin)
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMinOID_S")
		StorageUtil.SetFloatValue(None, "pchsWtSupplyRunDelayMin", Value)
		pchsPlayer.SupplyRun.SetupNextSupplyRun(Utility.RandomInt(StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0) as Int, StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0) as Int) as Float, true)
		SetSliderOptionValue(StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMinOID_S"), StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0))
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMaxOID_S")
		StorageUtil.SetFloatValue(None, "pchsWtSupplyRunDelayMax", Value)
		pchsPlayer.SupplyRun.SetupNextSupplyRun(Utility.RandomInt(StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0) as Int, StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0) as Int) as Float, true)
		SetSliderOptionValue(StorageUtil.GetIntValue(Self, "pchsWtSupplyRunDelayMaxOID_S"), StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0))
	ElseIf Option == MilkQuotaPerLevelOID_S
		MilkQuotaPerLevel = Value as Int
		SetSliderOptionValue(MilkQuotaPerLevelOID_S, MilkQuotaPerLevel)
	ElseIf Option == CumtainerCountMaxOID_S
		pchsCumtainerCountMax.SetValue(Value)
		SetSliderOptionValue(CumtainerCountMaxOID_S, pchsCumtainerCountMax.GetValue())
	ElseIf Option == FashionSupOID_S
		StorageUtil.SetFloatValue(None, "pchsWtFashionSupplement", Value)
		SetSliderOptionValue(FashionSupOID_S, StorageUtil.GetFloatValue(None, "pchsWtFashionSupplement", Missing = 1.0))
	ElseIf Option == HeelHeightOID_S
		HeelHeight = value
		SetSliderOptionValue(HeelHeightOID_S, HeelHeight)
	ElseIf Option == PiercingsDiscountOID_S
		(Game.GetFormFromFile(0x2DA3CD, "pchsWartimes.esp") as pchsCarriageUtil).PiercingsDiscount = Value / 100.0
		SetSliderOptionValue(PiercingsDiscountOID_S, (Game.GetFormFromFile(0x2DA3CD, "pchsWartimes.esp") as pchsCarriageUtil).PiercingsDiscount)
	ElseIf Option == HairColourCooloffOID_S
		HairColour.ColourChangeCooloff = Value
		SetSliderOptionValue(HairColourCooloffOID_S, HairColour.ColourChangeCooloff)
	ElseIf Option == HairColourChangeChanceOID_S
		HairColour.NewColourRequestChance = Value
		SetSliderOptionValue(HairColourChangeChanceOID_S, HairColour.NewColourRequestChance)
	ElseIf Option == StorageUtil.GetIntValue(Self, "pchsWtPartyTasksReqOID_S")
		pchsPartyTasksReq.SetValue(value)
		SetSliderOptionValue(StorageUtil.GetIntValue(Self, "pchsWtPartyTasksReqOID_S"), pchsPartyTasksReq.GetValue())
	ElseIf Option == TasksTilFavourLossMaxOID_S
		Fav.TasksTilMaxLoss = Value
		SetSliderOptionValue(TasksTilFavourLossMaxOID_S, Fav.TasksTilMaxLoss)
	ElseIf Option == FavourLossMaxOID_S
		Fav.FavorLossAtMax = Value
		SetSliderOptionValue(FavourLossMaxOID_S, Fav.FavorLossAtMax)
	ElseIf Option == ApologyFavourRecoveryOID_S
		Fav.ApologyFavRegainRate = Value / 100.0
		SetSliderOptionValue(ApologyFavourRecoveryOID_S, Fav.ApologyFavRegainRate * 100.0)
	ElseIf Option == NpcSexChanceOID_S
		HomeSex.NpcSexChanceMult = Value / 100.0
		SetSliderOptionValue(NpcSexChanceOID_S, HomeSex.NpcSexChanceMult * 100.0)
	ElseIf Option == PlayerOrgasmsMaxOID_S
		(Game.GetFormFromFile(0x4CA9BD, "pchsWartimes.esp") as GlobalVariable).SetValueInt(value as Int)
		SetSliderOptionValue(PlayerOrgasmsMaxOID_S, (Game.GetFormFromFile(0x4CA9BD, "pchsWartimes.esp") as GlobalVariable).GetValueInt()) ; pchsPlayerOrgasmsMax
	ElseIf Option == PlayerOrgasmCorruptionThresOID_S
		(Game.GetFormFromFile(0x539FF2, "pchsWartimes.esp") as GlobalVariable).SetValue(value)
		SetSliderOptionValue(PlayerOrgasmCorruptionThresOID_S, (Game.GetFormFromFile(0x539FF2, "pchsWartimes.esp") as GlobalVariable).GetValue()) ; pchsPlayerOrgasmCorruptionThres
	ElseIf Option == LicenceCostOID_S
		pchsSlsLicenceCost.SetValue(Value)
		SetSliderOptionValue(LicenceCostOID_S, pchsSlsLicenceCost.GetValue())
		ThisQuest.UpdateCurrentInstanceGlobal(pchsSlsLicenceCost)
	ElseIf Option == LicenceCostClothesOID_S
		pchsSlsLicenceCostClothes.SetValue(Value)
		SetSliderOptionValue(LicenceCostClothesOID_S, pchsSlsLicenceCostClothes.GetValue())
		ThisQuest.UpdateCurrentInstanceGlobal(pchsSlsLicenceCostClothes)
	ElseIf Option == DeviceRemovalCostOID_S
		DdRemCostBase = Value as Int
		SetSliderOptionValue(DeviceRemovalCostOID_S, DdRemCostBase)
		pchsDdRemCost.SetValueInt(DdRemCostBase)
		ThisQuest.UpdateCurrentInstanceGlobal(pchsDdRemCost)
	ElseIf Option == BrutusBorrowDaysOID_S
		BrutusBorrowTime = value
		SetSliderOptionValue(BrutusBorrowDaysOID_S, BrutusBorrowTime)
	EndIf
	ForcePageReset()
EndEvent

Event OnOptionSelect(int option)
	If Option == ImportSettingsOID_T
		LoadSettings()
	ElseIf Option == ExportSettingsOID_T
		SaveSettings()
	ElseIf Option == ManualStartOID
		If ShowMessage("Are you sure you want to begin the Wartimes scenario?")
			ManualStart()
		EndIf
	ElseIf Option == LoadOutfitsOID
		Util.UpdateModifiedOutfitsJson()
		SetTextOptionValue(LoadOutfitsOID, "Done!")
	ElseIf (option == toggle_StatusUpdate)
		state_StatusUpdate = !state_StatusUpdate
		SetToggleOptionValue(toggle_StatusUpdate, state_StatusUpdate)
		If state_StatusUpdate == true
			UtilityStatusUpdate.SetValue(1)
		Else
			UtilityStatusUpdate.SetValue(0)
		endif
		
	ElseIf Option == DamageHealthOID
		DamageHealth = !DamageHealth
		ForcePageReset()
	ElseIf Option == RequireStockingsOID
		RequireStockings = !RequireStockings
		SetToggleOptionValue(RequireStockingsOID, RequireStockings)
	ElseIf Option == FirewoodJobOID
		pchsJobFirewood.SetValue((!(pchsJobFirewood.GetValue() as Bool)) as Float)
		SetToggleOptionValue(FirewoodJobOID, pchsJobFirewood.GetValue() as Bool)
	ElseIf Option == CumSlutJobOID
		pchsJobCumSlut.SetValue((!(pchsJobCumSlut.GetValue() as Bool)) as Float)
		pchsPlayer.pchsHorseMilkDeadline.SetValue(-1.0)
		;/
		Quest akCumSlutQuest = (Game.GetFormFromFile(0x1F140F, "pchsWartimes.esp") as Quest).Start() ; pchsCumSlutQuest
		If pchsJobCumSlut.GetValue()
			
		Else
		
		EndIf
		/;
		SetToggleOptionValue(CumSlutJobOID, pchsJobCumSlut.GetValue() as Bool)
	ElseIf Option == FashionJobOID
		pchsJobFashion.SetValue((!(pchsJobFashion.GetValue() as Bool)) as Float)
		SetToggleOptionValue(FashionJobOID, pchsJobFashion.GetValue() as Bool)
	ElseIf Option == PiercingsJobOID
		pchsJobPiercings.SetValue((!(pchsJobPiercings.GetValue() as Bool)) as Float)
		SetToggleOptionValue(PiercingsJobOID, pchsJobPiercings.GetValue() as Bool)
	ElseIf Option == WeldPiercingsOID
		WeldPiercings = !WeldPiercings
		SetToggleOptionValue(WeldPiercingsOID, WeldPiercings)
	ElseIf Option == HairColourJobOID
		pchsJobHairColour.SetValue((!(pchsJobHairColour.GetValue() as Bool)) as Float)
		SetToggleOptionValue(HairColourJobOID, pchsJobHairColour.GetValue() as Bool)
	ElseIf Option == BondageJobOID
		pchsJobBondage.SetValue((!(pchsJobBondage.GetValue() as Bool)) as Float)
		SetToggleOptionValue(BondageJobOID, pchsJobBondage.GetValue() as Bool)
	ElseIf Option == BestialityOID
		pchsBeastiality.SetValue((!(pchsBeastiality.GetValue() as Bool)) as Float)
		SetToggleOptionValue(BestialityOID, pchsBeastiality.GetValue() as Bool)
	ElseIf Option == CumPoolsOID
		(Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools).CumPoolsEnable = !(Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools).CumPoolsEnable
		ToggleCumPools()
		SetToggleOptionValue(CumPoolsOID, (Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools).CumPoolsEnable)
	ElseIf Option == BlockLicencesOID
		BlockLicences = !BlockLicences
		ToggleLiceneceBlocking()
		SetToggleOptionValue(BlockLicencesOID, BlockLicences)
	EndIf
EndEvent

Event OnOptionMenuOpen(int option)
	If Option == BondageLevelDB
		SetMenuDialogStartIndex(pchsBoundaryBondageMax.GetValueInt() - 1)
		SetMenuDialogDefaultIndex(1)
		SetMenuDialogOptions(DevicesList)
	ElseIf Option == NakedAtDB
		SetMenuDialogStartIndex(pchsNakedAt.GetValueInt())
		SetMenuDialogDefaultIndex(0)
		SetMenuDialogOptions(NakedAtList)
	ElseIf Option == SexProgTypeDB
		SetMenuDialogStartIndex(Apol.pchsSexProgressionType.GetValueInt())
		SetMenuDialogDefaultIndex(0)
		SetMenuDialogOptions(SexProgTypes)
	ElseIf Option == RegSexBeginsAtDB
		SetMenuDialogStartIndex(Apol.pchsRegSexBeginsAt.GetValueInt())
		SetMenuDialogDefaultIndex(0)
		SetMenuDialogOptions(RegSexBeginsAt)
	EndIf
EndEvent

Event OnOptionMenuAccept(int option, int index)
	If Option == BondageLevelDB
		pchsBoundaryBondageMax.SetValueInt(index + 1)
		SetMenuOptionValue(option, DevicesList[index])
		If pchsBoundaryBondage.GetValueInt() > pchsBoundaryBondageMax.GetValueInt()
			pchsBoundaryBondage.SetValueInt(pchsBoundaryBondageMax.GetValueInt())
		EndIf
	ElseIf Option == NakedAtDB
		pchsNakedAt.SetValueInt(index)
		SetMenuOptionValue(option, NakedAtList[index])
		If index == 3
			(Game.GetFormFromFile(0xC1599, "pchsWartimes.esp") as GlobalVariable).SetValueInt(0) ; pchsFatherAskedPCNaked
			If Util.pchsRequiredOutfitLevel.GetValueInt() == 100
				Util.pchsRequiredOutfitLevel.SetValueInt(-1)
			EndIf
		EndIf
	ElseIf Option == SexProgTypeDB
		Apol.pchsSexProgressionType.SetValueInt(index)
		SetMenuOptionValue(option, SexProgTypes[index])
	ElseIf Option == RegSexBeginsAtDB
		Apol.pchsRegSexBeginsAt.SetValueInt(index)
		SetMenuOptionValue(option, RegSexBeginsAt[index])
	EndIf
EndEvent

Function BuildMenuArrays()
	DevicesList = new String[3]
	DevicesList[0] = "1) Arm & leg cuffs"
	DevicesList[1] = "2) Boots & Gloves"
	DevicesList[2] = "3) Piercings"
	
	NakedAtList = new String[4]
	NakedAtList[0] = "Vanilla "
	NakedAtList[1] = "Outfit Progression"
	NakedAtList[2] = "At 100 Submission"
	NakedAtList[3] = "Never "
	
	SexProgTypes = new String[2]
	SexProgTypes[0] = "Vanilla - Apol + Regular Sex"
	SexProgTypes[1] = "Apology - Apology Only"
	
	RegSexBeginsAt = new String[7]
	RegSexBeginsAt[0] = "Massage "
	RegSexBeginsAt[1] = "Handjob "
	RegSexBeginsAt[2] = "Blowjob "
	RegSexBeginsAt[3] = "Vaginal "
	RegSexBeginsAt[4] = "Anal "
	RegSexBeginsAt[5] = "Cowgirl "
	RegSexBeginsAt[6] = "Rough "
EndFunction

Function ManualStart()
	Util.BuildArrays()
	PlayerRef.EquipItem(clothes)
	PlayerRef.EquipItem(shoes)
	PlayerRef.moveTo(portPlayer)
	Self.SetStage(100)
	Self.SetObjectiveDisplayed(100)
	;(Game.GetFormFromFile(0x2FDB14, "pchsWartimes.esp") as Quest).Stop() ; Don't know what quest this was meant to be. Doesn't exist. Assume it's the LAL start quest...
	(Game.GetFormFromFile(0x38674F, "pchsWartimes.esp") as Quest).Stop()
	
	If Game.GetModByName("Alternate Start - Live Another Life.esp") != 255
		Quest LalQuest = (Game.GetFormFromFile(0x07A334, "Alternate Start - Live Another Life.esp") as Quest) ; ARTHLALRumorsOfWarQuest
		LalQuest.RegisterForSingleUpdate(0.25)
	EndIf
	
	;/ Had to give up on this. The door will NOT lock at this point for some reason. Even set as initially locked... Package unlock?
	; Lock door to prevent player leaving without advancing the quest
	ObjectReference TheDoor = Game.GetFormFromFile(0x593C, "pchsWartimes.esp") as ObjectReference
	Debug.Messagebox("Locked: " + TheDoor.IsLocked() + "\nLevel: " + TheDoor.GetLockLevel())
	;While !TheDoor.IsLocked()
	While true
		Utility.Wait(4.0)
		TheDoor.Lock()
		TheDoor.SetLockLevel(255)
		Debug.Messagebox("Locked: " + TheDoor)
	EndWhile
	/;
EndFunction

Function ToggleLiceneceBlocking()
	Int BlockEvent = ModEvent.Create("_SLS_BlockLicenceBuy")
	If (BlockEvent)
		ModEvent.PushForm(BlockEvent, self)
		ModEvent.PushBool(BlockEvent, BlockLicences)
		ModEvent.Send(BlockEvent)
	EndIf
EndFunction

Function PlugMenu()
	Int iButtonPlug = OptionsMESGPlug.Show()
	If iButtonPlug == 0
		If PlayerREF.GetItemCount(MeadBottle) >= 1 || PlayerREF.GetItemCount(Mead) >= 1 || PlayerREF.GetItemCount(MeadBB) >= 1 || PlayerREF.GetItemCount(MeadBBR) >= 1 || PlayerREF.GetItemCount(MeadHB) >= 1
			Int iButtonPlugMead = OptionsMESGPlugMead.Show()
			If iButtonPlugMead == 0
				PlayerREF.EquipItem(MeadPlugTopIn)
			ElseIf iButtonPlugMead == 1
				PlayerREF.EquipItem(MeadPlugBottomIn)
			EndIf

			If PlayerREF.GetItemCount(MeadBottle) >= 1
				PlugType.SetValue(1)
				PlayerREF.RemoveItem(MeadBottle, 1, false)
			ElseIf PlayerREF.GetItemCount(Mead) >= 1
				PlugType.SetValue(2)
				PlayerREF.RemoveItem(Mead, 1, false)
			ElseIf PlayerREF.GetItemCount(MeadHB) >= 1
				PlugType.SetValue(3)
				PlayerREF.RemoveItem(MeadHB, 1, false)
			ElseIf PlayerREF.GetItemCount(MeadBB) >= 1
				PlugType.SetValue(4)
				PlayerREF.RemoveItem(MeadBB, 1, false)
			ElseIf PlayerREF.GetItemCount(MeadHB) >= 1
				PlugType.SetValue(5)
				PlayerREF.RemoveItem(MeadBBR, 1, false)
			EndIf
		Else
			Debug.MessageBox("You don't have any mead bottles to shove up your arse!")
		EndIf
	ElseIf iButtonPlug == 1
		If PlayerREF.GetItemCount(Carrot) >= 1
			PlayerREF.EquipItem(CarrotPlug)
			PlugType.SetValue(6)
			PlayerREF.RemoveItem(Carrot, 1, false)
		Else
			Debug.MessageBox("You don't have a carrot to shove up your arse!")
		EndIf					
	ElseIf iButtonPlug == 2
		If PlayerREF.GetItemCount(Flute) >= 1 || PlayerREF.GetItemCount(Flute1) >= 1
			Int iButtonPlugFlute = OptionsMESGPlugFlute.Show()
			If iButtonPlugFlute == 0
				PlayerREF.EquipItem(FlutePlugDeep)
			ElseIf iButtonPlugFlute == 1
				PlayerREF.EquipItem(FlutePlugShallow)
			EndIf

			If PlayerREF.GetItemCount(Flute) >= 1
				PlayerREF.RemoveItem(Flute, 1, false)
				PlugType.SetValue(7)
			ElseIf PlayerREF.GetItemCount(Flute1) >= 1
				PlayerREF.RemoveItem(Flute1, 1, false)
				PlugType.SetValue(8)
			endif
		Else
			Debug.MessageBox("You don't have a flute to shove up your arse!")
		EndIf
	EndIf
EndFunction

Function SetFatherCockSize()
	Sos.SetSize(FatherRef, Sos.FatherCockSize)
EndFunction

Function ToggleCumPools()
	pchsCumPools CumPools = Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools
	If CumPools.CumPoolsEnable
		If PlayerRef.GetCurrentLocation() == Util.pchsWartimesHomeLocation
			CumPools.RegForEvents()
		EndIf
	Else
		CumPools.UnRegForEvents()
		CumPools.ClearAllCumPools()
	EndIf
EndFunction

Function SaveSettings()
	If ShowMessage("Are you sure you want to overwrite the settings saved in the json file with your current settings?")
		; Bools
		JsonUtil.SetIntValue("Wartimes/Settings.json", "WeldPiercings", WeldPiercings as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "RequireStockings", RequireStockings as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "TradeCum", TradeCum as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "BlockLicences", BlockLicences as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsJobFirewood", pchsJobFirewood.GetValue() as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsJobCumSlut", pchsJobCumSlut.GetValue() as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsJobFashion", pchsJobFashion.GetValue() as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsJobPiercings", pchsJobPiercings.GetValue() as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsJobHairColour", pchsJobHairColour.GetValue() as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsJobBondage", pchsJobBondage.GetValue() as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsBeastiality", pchsBeastiality.GetValue() as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "DamageHealth", DamageHealth as Int)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "CumPoolsEnable", ((Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools).CumPoolsEnable) as Int)
		
		; Ints
		JsonUtil.SetIntValue("Wartimes/Settings.json", "key1", key1)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "key2", key2)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "key3", key3)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "key4", key4)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "key5", key5)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "key6", key6)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "key7", key7)

		JsonUtil.SetIntValue("Wartimes/Settings.json", "MilkQuotaPerLevel", MilkQuotaPerLevel)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "TossOutBountyWhiterun", TossOutBountyWhiterun)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "TossOutBountyEverywhere", TossOutBountyEverywhere)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsSlsLicenceCost", pchsSlsLicenceCost.GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsSlsLicenceCostClothes", pchsSlsLicenceCostClothes.GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsDdRemCost", DdRemCostBase)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsBoundaryBondageMax", pchsBoundaryBondageMax.GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "BoundarySexActsMin", BoundarySexActsMin)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "BoundarySexActsMax", BoundarySexActsMax)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "Sos.FatherCockSize", Sos.FatherCockSize)
		JsonUtil.SetIntValue("Wartimes/Settings.json", "ToffGlobs0", ToffGlobs[0].GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "ToffGlobs1", ToffGlobs[1].GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "ToffGlobs2", ToffGlobs[2].GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "ToffGlobs3", ToffGlobs[3].GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsBuyOut", pchsBuyOut.GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsMBackCost", pchsMBackCost.GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsSexProgressionType", Apol.pchsSexProgressionType.GetValueInt())
		JsonUtil.SetIntValue("Wartimes/Settings.json", "pchsRegSexBeginsAt", Apol.pchsRegSexBeginsAt.GetValueInt())
		
		; Floats
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "SeedArousalMin", SeedArousalMin)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "SeedArousalMax", SeedArousalMax)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "BaseFavourLoss", BaseFavourLoss)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "TasksBeginHour", TasksBeginHour)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "TasksEndHour", TasksEndHour)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "BrutusBorrowTime", BrutusBorrowTime)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "HeelHeight", HeelHeight)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "CookingSkill", CookingSkill)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "CookingFailChanceMin", CookingFailChanceMin)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "PiercingsDiscount", (Game.GetFormFromFile(0x2DA3CD, "pchsWartimes.esp") as pchsCarriageUtil).PiercingsDiscount)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "HairColour.ColourChangeCooloff", HairColour.ColourChangeCooloff)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "HairColour.NewColourRequestChance", HairColour.NewColourRequestChance)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "Fav.TasksTilMaxLoss", Fav.FavorLossAtMax)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "Fav.FavorLossAtMax", Fav.TasksTilMaxLoss)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "Fav.ApologyFavRegainRate", Fav.ApologyFavRegainRate)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "HomeSex.NpcSexChanceMult", HomeSex.NpcSexChanceMult)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "BoundaryAdvanceChance", BoundaryAdvanceChance)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "BoundaryAdvanceChanceInc", BoundaryAdvanceChanceInc)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "MinHealth", MinHealth)
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "pchsWtFashionSupplement", StorageUtil.GetFloatValue(None, "pchsWtFashionSupplement", Missing = 1.0))
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "pchsPlayerOrgasmCorruptionThres", (Game.GetFormFromFile(0x539FF2, "pchsWartimes.esp") as GlobalVariable).GetValue())
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "pchsWtSupplyRunDelayMin", StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0))
		JsonUtil.SetFloatValue("Wartimes/Settings.json", "pchsWtSupplyRunDelayMax", StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0))
		
		JsonUtil.Save("Wartimes/Settings.json")
		SetTextOptionValue(ExportSettingsOID_T, "Save Complete!")
	EndIf
EndFunction

Function LoadSettings()
	If ShowMessage("Are you sure you want to overwrite your current settings with the settings save in the json file?")
		UnRegisterForAllKeys()
	
		; Bools
		WeldPiercings = JsonUtil.GetIntValue("Wartimes/Settings.json", "WeldPiercings", missing = 1)
		RequireStockings = JsonUtil.GetIntValue("Wartimes/Settings.json", "RequireStockings", missing = 1)
		TradeCum = JsonUtil.GetIntValue("Wartimes/Settings.json", "TradeCum", missing = 0)
		BlockLicences = JsonUtil.GetIntValue("Wartimes/Settings.json", "BlockLicences", missing = 1)
		pchsJobFirewood.SetValue(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsJobFirewood", missing = 1))
		pchsJobCumSlut.SetValue(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsJobCumSlut", missing = 1))
		pchsJobFashion.SetValue(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsJobFashion", missing = 1))
		pchsJobPiercings.SetValue(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsJobPiercings", missing = 1))
		pchsJobHairColour.SetValue(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsJobHairColour", missing = 1))
		pchsJobBondage.SetValue(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsJobBondage", missing = 0))
		pchsBeastiality.SetValue(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsBeastiality", missing = 1))
		DamageHealth = JsonUtil.GetIntValue("Wartimes/Settings.json", "DamageHealth", missing = 0)
		(Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools).CumPoolsEnable = JsonUtil.GetIntValue("Wartimes/Settings.json", "CumPoolsEnable", missing = 1)

		; Ints
		key1 = JsonUtil.GetIntValue("Wartimes/Settings.json", "key1", missing = 0)
		key2 = JsonUtil.GetIntValue("Wartimes/Settings.json", "key2", missing = 0)
		key3 = JsonUtil.GetIntValue("Wartimes/Settings.json", "key3", missing = 0)
		key4 = JsonUtil.GetIntValue("Wartimes/Settings.json", "key4", missing = 0)
		key5 = JsonUtil.GetIntValue("Wartimes/Settings.json", "key5", missing = 0)
		key6 = JsonUtil.GetIntValue("Wartimes/Settings.json", "key6", missing = 0)
		key7 = JsonUtil.GetIntValue("Wartimes/Settings.json", "key7", missing = 0)
		
		TossOutBountyWhiterun = JsonUtil.GetIntValue("Wartimes/Settings.json", "TossOutBountyWhiterun", missing = 1000)
		TossOutBountyEverywhere = JsonUtil.GetIntValue("Wartimes/Settings.json", "TossOutBountyEverywhere", missing = 2500)
		MilkQuotaPerLevel = JsonUtil.GetIntValue("Wartimes/Settings.json", "MilkQuotaPerLevel", missing = 3)
		pchsSlsLicenceCost.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsSlsLicenceCost", missing = 20))
		pchsSlsLicenceCostClothes.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsSlsLicenceCostClothes", missing = 8))
		pchsDdRemCost.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "DdRemCostBase", missing = 10))
		pchsBoundaryBondageMax.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsBoundaryBondageMax", missing = 3))
		BoundarySexActsMin = JsonUtil.GetIntValue("Wartimes/Settings.json", "BoundarySexActsMin", missing = 1)
		BoundarySexActsMax = JsonUtil.GetIntValue("Wartimes/Settings.json", "BoundarySexActsMax", missing = 2)
		Sos.FatherCockSize = JsonUtil.GetIntValue("Wartimes/Settings.json", "Sos.FatherCockSize", missing = 18)
		ToffGlobs[0].SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "ToffGlobs0", missing = 20))
		ToffGlobs[1].SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "ToffGlobs1", missing = 30))
		ToffGlobs[2].SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "ToffGlobs2", missing = 40))
		ToffGlobs[3].SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "ToffGlobs3", missing = 80))
		pchsBuyOut.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsBuyOut", missing = 10000))
		pchsMBackCost.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsMBackCost", missing = 2000))
		Apol.pchsSexProgressionType.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsSexProgressionType", missing = 0))
		Apol.pchsRegSexBeginsAt.SetValueInt(JsonUtil.GetIntValue("Wartimes/Settings.json", "pchsRegSexBeginsAt", missing = 0))
		
		; Floats
		TasksEndHour = JsonUtil.GetFloatValue("Wartimes/Settings.json", "TasksEndHour", missing = 23.0)
		TasksBeginHour = JsonUtil.GetFloatValue("Wartimes/Settings.json", "TasksBeginHour", missing = 7.0)
		SeedArousalMin = JsonUtil.GetFloatValue("Wartimes/Settings.json", "SeedArousalMin", missing = 35.0)
		SeedArousalMax = JsonUtil.GetFloatValue("Wartimes/Settings.json", "SeedArousalMax", missing = 70.0)
		BaseFavourLoss = JsonUtil.GetFloatValue("Wartimes/Settings.json", "BaseFavourLoss", missing = -1.0)
		BrutusBorrowTime = JsonUtil.GetFloatValue("Wartimes/Settings.json", "BrutusBorrowTime", missing = 7.0)
		HeelHeight = JsonUtil.GetFloatValue("Wartimes/Settings.json", "HeelHeight", missing = 4.0)
		CookingSkill = JsonUtil.GetFloatValue("Wartimes/Settings.json", "CookingSkill", missing = 50.0)
		CookingFailChanceMin = JsonUtil.GetFloatValue("Wartimes/Settings.json", "CookingFailChanceMin", missing = 5.0)
		(Game.GetFormFromFile(0x2DA3CD, "pchsWartimes.esp") as pchsCarriageUtil).PiercingsDiscount = JsonUtil.GetFloatValue("Wartimes/Settings.json", "PiercingsDiscount", missing = 0.9)
		HairColour.ColourChangeCooloff = JsonUtil.GetFloatValue("Wartimes/Settings.json", "HairColour.ColourChangeCooloff", missing = 3.0)
		HairColour.NewColourRequestChance = JsonUtil.GetFloatValue("Wartimes/Settings.json", "HairColour.NewColourRequestChance", missing = 5.0)
		Fav.TasksTilMaxLoss = JsonUtil.GetFloatValue("Wartimes/Settings.json", "Fav.TasksTilMaxLoss", missing = 100.0)
		Fav.FavorLossAtMax = JsonUtil.GetFloatValue("Wartimes/Settings.json", "Fav.FavorLossAtMax", missing = 10.0)
		Fav.ApologyFavRegainRate = JsonUtil.GetFloatValue("Wartimes/Settings.json", "Fav.ApologyFavRegainRate", missing = 0.8)
		HomeSex.NpcSexChanceMult = JsonUtil.GetFloatValue("Wartimes/Settings.json", "HomeSex.NpcSexChanceMult", missing = 1.0)
		BoundaryAdvanceChance = JsonUtil.GetFloatValue("Wartimes/Settings.json", "BoundaryAdvanceChance", missing = 50.0)
		BoundaryAdvanceChanceInc = JsonUtil.GetFloatValue("Wartimes/Settings.json", "BoundaryAdvanceChanceInc", missing = 25.0)
		MinHealth = JsonUtil.GetFloatValue("Wartimes/Settings.json", "MinHealth", missing = 10.0)
		StorageUtil.SetFloatValue(None, "pchsWtFashionSupplement", JsonUtil.GetFloatValue("Wartimes/Settings.json", "pchsWtFashionSupplement", missing = 1.0))
		(Game.GetFormFromFile(0x539FF2, "pchsWartimes.esp") as GlobalVariable).SetValue(JsonUtil.GetFloatValue("Wartimes/Settings.json", "pchsPlayerOrgasmCorruptionThres", missing = 50.0))
		StorageUtil.SetFloatValue(None, "pchsWtSupplyRunDelayMin", JsonUtil.GetFloatValue("Wartimes/Settings.json", "pchsWtSupplyRunDelayMin", missing = 2.0))
		StorageUtil.SetFloatValue(None, "pchsWtSupplyRunDelayMax", JsonUtil.GetFloatValue("Wartimes/Settings.json", "pchsWtSupplyRunDelayMax", missing = 3.0))
		
		pchsPlayer.SupplyRun.SetupNextSupplyRun(Utility.RandomInt(StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMin", Missing = 2.0) as Int, StorageUtil.GetFloatValue(None, "pchsWtSupplyRunDelayMax", Missing = 3.0) as Int) as Float, true)
		Apol.SetBoundaryThreshold()
		Apol.SetBoundaryThresholdBeast()
		pchsPlayer.pchsHorseMilkDeadline.SetValue(-1.0)
		ToggleLiceneceBlocking()
		ToggleCumPools()
		SetFatherCockSize()
		DoRegisterForKey(key1)
		DoRegisterForKey(key2)
		DoRegisterForKey(key3)
		DoRegisterForKey(key4)
		DoRegisterForKey(key5)
		DoRegisterForKey(key6)
		DoRegisterForKey(key7)
		
		UpdateCurrentInstanceGlobal(ToffGlobs[0])
		UpdateCurrentInstanceGlobal(ToffGlobs[1])
		UpdateCurrentInstanceGlobal(ToffGlobs[2])
		UpdateCurrentInstanceGlobal(ToffGlobs[3])
		
		UpdateCurrentInstanceGlobal(pchsBuyOut)
		UpdateCurrentInstanceGlobal(pchsMBackCost)
	EndIf
EndFunction

Bool Property WeldPiercings = true Auto Hidden
Bool Property RequireStockings = true Auto Hidden
Bool Property TradeCum = false Auto Hidden
Bool Property BlockLicences = true Auto Hidden
Bool Property DamageHealth = false Auto Hidden

Int Property MilkQuotaPerLevel = 3 Auto Hidden
Int Property TossOutBountyWhiterun = 1000 Auto Hidden
Int Property TossOutBountyEverywhere = 2500 Auto Hidden
Int Property BoundarySexActsMin = 1 Auto Hidden
Int Property BoundarySexActsMax = 2 Auto Hidden
Int Property DdRemCostBase = 10 Auto Hidden

Float Property BoundaryAdvanceChance = 50.0 Auto Hidden
Float Property BoundaryAdvanceChanceInc = 25.0 Auto Hidden
Float Property SeedArousalMin = 35.0 Auto Hidden
Float Property SeedArousalMax = 70.0 Auto Hidden
Float Property BaseFavourLoss = -1.0 Auto Hidden
Float Property TasksBeginHour = 7.0 Auto Hidden
Float Property TasksEndHour = 23.0 Auto Hidden
Float Property BrutusBorrowTime = 7.0 Auto Hidden
Float Property HeelHeight = 4.0 Auto Hidden
Float Property CookingSkill = 50.0 Auto Hidden
Float Property CookingFailChanceMin = 5.0 Auto Hidden
Float Property MinHealth = 20.0 Auto Hidden

String[] DevicesList
String[] NakedAtList
String[] SexProgTypes
String[] RegSexBeginsAt

Armor Property MeadPlugBottomIn Auto
Armor Property MeadPlugTopIn Auto
Armor Property CarrotPlug Auto
Armor Property FlutePlugShallow Auto
Armor Property FlutePlugDeep Auto
Potion Property Mead Auto
Potion Property MeadBB Auto
Potion Property MeadBBR Auto
Potion Property MeadHB Auto
Potion Property Carrot Auto
miscobject Property Flute Auto
miscobject Property Flute1 Auto
miscobject Property MeadBottle Auto
Message Property OptionsMESGPlug Auto
Message Property OptionsMESGPlugFlute Auto
Message Property OptionsMESGPlugMead Auto
GlobalVariable Property PlugType Auto

ObjectReference[] Property Enableditems Auto
ObjectReference[] Property Disableditems Auto
GlobalVariable[] Property ToffGlobs Auto
GlobalVariable Property gotBDSMFurnitureGlobal Auto

Idle Property zbfIdleKneelLickFeet Auto
Idle Property HandsBehindBack Auto
Idle Property HandsAboveHead Auto
Idle Property ResetIdle Auto
Idle Property ForceResetIdle Auto

Idle Property CarryPot Auto
Idle Property CarryDrinks Auto
GlobalVariable Property OffersFood auto
GlobalVariable Property OffersDrink auto

GlobalVariable Property PoseFlag Auto
Actor Property PlayerREF Auto
Actor Property FatherREF Auto
Message Property OptionsMESG Auto
GlobalVariable Property wartimesQuestStatus Auto

GlobalVariable Property pchsDdRemCost Auto
GlobalVariable Property pchsSlsLicenceCost Auto
GlobalVariable Property pchsSlsLicenceCostClothes Auto
GlobalVariable Property pchsJobCumSlut Auto
GlobalVariable Property pchsCumtainerCountMax Auto
GlobalVariable Property pchsJobFashion Auto
GlobalVariable Property pchsJobPiercings Auto
GlobalVariable Property pchsJobHairColour Auto
GlobalVariable Property pchsJobBondage Auto
GlobalVariable Property pchsBeastiality Auto
GlobalVariable Property PCSubmission Auto
GlobalVariable Property PCDepravity Auto
GlobalVariable Property PCBreeder Auto
GlobalVariable Property PCPregnant Auto
GlobalVariable Property PCSlaveWife Auto
GlobalVariable Property FatherRel Auto
GlobalVariable Property MotherHealth Auto
GlobalVariable Property MotherHealthCaged Auto
GlobalVariable Property JobHorseCount Auto
GlobalVariable Property JobDogsCount Auto
GlobalVariable Property JobOldmanCount Auto
GlobalVariable Property JobSoldiersCount Auto
GlobalVariable Property JobPartyCount Auto
GlobalVariable Property UtilityStatusUpdate Auto
GlobalVariable Property pchsBoundaryBondageMax Auto
GlobalVariable Property pchsBoundaryBondage Auto
GlobalVariable Property pchsNakedAt Auto
GlobalVariable Property pchsJobFirewood Auto
GlobalVariable Property pchsBuyOut Auto
GlobalVariable Property pchsMBackCost Auto

GlobalVariable Property taskHorse Auto
GlobalVariable Property taskDogs Auto
GlobalVariable Property taskOldman Auto
GlobalVariable Property taskSoldiers Auto
GlobalVariable Property taskParty Auto
GlobalVariable Property pchsPartyTasksReq Auto

GlobalVariable Property dirtLastClean auto
ObjectReference[] Property dirtObjects auto

Armor Property clothes Auto
Armor Property shoes Auto

Quest Property ThisQuest Auto

ObjectReference Property portPlayer Auto

Keyword Property ArmorCuirass Auto
Keyword Property ClothingBody Auto

pchsWtUtil Property Util Auto
pchsWtUiKey Property UiKey Auto
pchsHairColour Property HairColour Auto
pchsWtFavour Property Fav Auto
pchsWtApology Property Apol Auto
pchsWtRandomHomeSex Property HomeSex Auto
pchsWartimesPlayerScript Property pchsPlayer Auto
pchsWtInterfaceSos Property Sos Auto

int keyOID_1
int keyOID_2
int keyOID_3
int keyOID_4
int keyOID_5
int keyOID_6
int keyOID_7
int keyOID_8

Int BaseFavourLossOID_S
Int FatherArousalMinOID_S
Int FatherArousalMaxOID_S
Int MilkQuotaPerLevelOID_S
Int CumtainerCountMaxOID_S
Int RequireStockingsOID
Int HeelHeightOID_S
Int CumSlutJobOID
Int FashionJobOID
Int PiercingsJobOID
Int BondageJobOID
Int NpcSexChanceOID_S
Int BestialityOID
Int TasksTilFavourLossMaxOID_S
Int FavourLossMaxOID_S
Int ApologyFavourRecoveryOID_S
Int LicenceCostOID_S
Int LicenceCostClothesOID_S
Int DeviceRemovalCostOID_S
Int TasksEndHourOID_S
Int TasksBeginHourOID_S
Int CookingSkillOID_S
Int CookingFailChanceMinOID_S
Int TossOutBountyWhiterunOID_S
Int TossOutBountyEverywhereOID_S
Int BondageLevelDB
Int PiercingsDiscountOID_S
Int BrutusBorrowDaysOID_S
Int ManualStartOID
Int WeldPiercingsOID
Int HairColourJobOID
Int HairColourChangeChanceOID_S
Int HairColourCooloffOID_S
Int BlockLicencesOID
Int ImportSettingsOID_T
Int ExportSettingsOID_T
Int BoundaryMinSexActsOID_S
Int BoundaryMaxSexActsOID_S
Int BoundaryAdvanceChanceOID_S
Int BoundaryAdvanceChanceIncOID_S
Int MinHealthOID_S
Int LoadOutfitsOID
Int DamageHealthOID
Int NakedAtDB
Int FirewoodJobOID
Int FatherCocksizeOID_S
Int TimeOff1FavourOID_S
Int TimeOff2FavourOID_S
Int TimeOff3FavourOID_S
Int TimeOff4FavourOID_S
Int CumPoolsOID
Int MothersCureCostOID_S
Int MotherBackCostOID_S
Int SexProgTypeDB
Int RegSexBeginsAtDB
Int PlayerOrgasmsMaxOID_S
Int PlayerOrgasmCorruptionThresOID_S
Int FashionSupOID_S

int key1 = 0; 37
int key2 = 0;38
int key3 = 0;39
int key4 = 0;40
int key5 = 0;41
int key6 = 0;42
int key7 = 0;42

int toggle_StatusUpdate

bool state_StatusUpdate = true
