Scriptname pchsWtClutterIsTidy extends Quest  

Int Function GetUntidyCount()
	If PlayerRef.GetCurrentLocation() == pchsWartimesHomeLocation
		Stop()
		Start()
		Int i = 0
		UntidyCount = 0
		ObjectReference ClutterRef
		Float[] Pos
		pchsIsTidyMarkerRef.MoveTo(Game.GetPlayer())
		Bool MoreRefs = true
		While MoreRefs && i < GetNumAliases()
			ClutterRef = (GetNthAlias(i) as ReferenceAlias).GetReference()
			If ClutterRef
				Pos = StorageUtil.FloatListToArray(ClutterRef, "pchsWtOriginalPos")
				If Pos.Length == 6
					pchsIsTidyMarkerRef.SetPosition(Pos[0], Pos[1], Pos[2])
					If pchsIsTidyMarkerRef.GetDistance(ClutterRef) > 25.0
						Debug.Trace("pchs: IsUnTidy: " + ClutterRef.GetDisplayName() + " - " + ClutterRef)
						UntidyCount += 1
					EndIf
				Else
					Debug.Notification("No position data for clutter")
					Debug.Trace("pchs: No array: " + ClutterRef.GetDisplayName() + " - " + ClutterRef)
				EndIf
			Else
				MoreRefs = false
				;Debug.Messagebox("Count: " + UntidyCount)
			EndIf
			i += 1
		EndWhile
		
		;pchsClutterUntidyCountCell.SetValueInt(UntidyCount)
		pchsClutterUntidyCountHome.SetValueInt(UntidyCount)
		Return UntidyCount
		
	;/
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem("Outfits ")
	ListMenu.OpenMenu()
	Return ListMenu.GetResultInt()
	/;
	EndIf
	Return 0
EndFunction

Int UntidyCount

Actor Property PlayerRef Auto

Location Property pchsWartimesHomeLocation Auto

ObjectReference Property pchsIsTidyMarkerRef Auto

GlobalVariable Property pchsClutterUntidyCountHome Auto
GlobalVariable Property pchsClutterUntidyCountCell Auto
