Scriptname pchsWtDeviousSub extends ReferenceAlias  

Event OnInit()
	If Devious.GetState()
		RegisterForMenu("InventoryMenu")
	Else
		Self.GetOwningQuest().Stop()
	EndIf
EndEvent

Event OnMenuOpen(String MenuName)
	GoToState("Active")
EndEvent

Event OnMenuClose(String MenuName)
	GoToState("")
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
EndEvent

State Active
	Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
		If akBaseObject as Armor && akBaseObject.HasKeyword(Devious.zad_Lockable) && akBaseObject != Devious.GetRenderedDevice(Devious.DeviousSupplyRunHood as Armor)
			If Util.FatherIsAwareOfPlayer()
				String msg = "Father looks very pleased as I lock it in place"
				Fav.ModStat(Msg, Favour = Menu.DdRemCostBase * 0.666, Depravity = 1.0, Submission = 2.0, Sender = GetOwningQuest())
			Else
				Debug.Notification("Father didn't see me put it on")
			EndIf
		EndIf
	EndEvent
EndState

pchsWtInterfaceDevious Property Devious Auto
pchsWtFavour Property Fav Auto
pchsWartimesMCM Property Menu Auto
pchsWtUtil Property Util Auto
