Scriptname pchsWtIntDevious Hidden

Armor Function GetRenderedDevice(Armor Device, Quest libsQuest) Global
	zadlibs libs = libsQuest as zadlibs
	Return libs.GetRenderedDevice(Device)
EndFunction

Function EquipDevice(Actor akActor, Armor deviceInventory, Quest libsQuest) Global
	zadlibs libs = libsQuest as zadlibs
	libs.EquipDevice(akActor, deviceInventory, libs.GetRenderedDevice(deviceInventory), libs.GetDeviceKeyword(deviceInventory))
	;EquipDevice(actor akActor, armor deviceInventory, armor deviceRendered, keyword zad_DeviousDevice, bool skipEvents=false, bool skipMutex=false)
EndFunction

Function RemoveDevice(Actor akActor, Armor deviceInventory, Quest libsQuest) Global
	zadlibs libs = libsQuest as zadlibs
	libs.RemoveDevice(akActor, deviceInventory, libs.GetRenderedDevice(deviceInventory), libs.GetDeviceKeyword(deviceInventory), true)
	;RemoveDevice(actor akActor, armor deviceInventory, armor deviceRendered, keyword zad_DeviousDevice, bool destroyDevice=false, bool skipEvents=false, bool skipMutex=false)
EndFunction

Armor Function GetWornDeviceByKeyword(Actor akActor, Keyword kw, Quest libsQuest) Global
	Return (libsQuest as zadlibs).GetWornDeviceFuzzyMatch(akActor, kw)
EndFunction
