Scriptname pchsWtInterfaceAmp extends Quest  

Event OnInit()
	RegisterForModEvent("_pchs_Int_PlayerLoadsGame", "On_pchs_Int_PlayerLoadsGame")
EndEvent

Event On_pchs_Int_PlayerLoadsGame(string eventName, string strArg, float numArg, Form sender)
	PlayerLoadsGame()
EndEvent

Function PlayerLoadsGame()
	If Game.GetModByName("Amputator.esm") != 255
		If GetState() != "Installed"
			GoToState("Installed")
			pchsAmpInstalled.SetValueInt(1)
		EndIf
	
	Else
		If GetState() != ""
			pchsAmpInstalled.SetValueInt(0)
			GoToState("")
		EndIf
	EndIf
EndFunction

Event OnEndState()
	Utility.Wait(5.0) ; Wait before entering active state to help avoid making function calls to scripts that may not have initialized yet.
	AmpQuest = Game.GetFormFromFile(0x000801,"Amputator.esm") as Quest
EndEvent

Bool Function GetIsInterfaceActive()
	Return GetState() == "Installed"
EndFunction

State Installed
	Function Amputate(Actor akActor, int morphType ,int bothLeftRight)
		;/
		AmputatorMainScript.psc
		AMS.ApplyAmputator(Actor akActor, int morphType ,int bothLeftRight)

		morphType determines which bodypart to remove, the codes are:
		0 = Heal all Amputations
		1 = Feet
		2 = Lower Legs
		3 = Upper Legs
		4 = Hands
		5 = Forearms
		6 = UpperArms

		bothLeftRight determines which side to remove
		0 = Both sides
		1 = Left
		2 = Right
		/;
		
		;Amp.IgnoreLimbChangeEvents()
		
		_SLS_IntAmp.Amputate(AmpQuest, akActor, morphType, bothLeftRight, Self)
	EndFunction
	
	Function SetAmpOutfit(Actor akActor)
		Outfit SlaveOutfit = Game.GetFormFromFile(0x00EAA2, "Amputator.esm") as Outfit
		;Debug.Messagebox(SlaveOutfit)
		If SlaveOutfit
			akActor.SetOutfit(SlaveOutfit)
		EndIf
	EndFunction
EndState

Function Amputate(Actor akActor, int morphType ,int bothLeftRight)
EndFunction

Function SetAmpOutfit(Actor akActor)
EndFunction

Quest AmpQuest

GlobalVariable Property pchsAmpInstalled Auto

