Scriptname pchsWtInterfaceSos extends Quest  

Event OnInit()
	RegisterForModEvent("_pchs_Int_PlayerLoadsGame", "On_pchs_Int_PlayerLoadsGame")
EndEvent

Event On_pchs_Int_PlayerLoadsGame(string eventName, string strArg, float numArg, Form sender)
	PlayerLoadsGame()
EndEvent

Function PlayerLoadsGame()
	If Game.GetModByName("Schlongs of Skyrim.esp") != 255
		If GetState() != "Installed"
			GoToState("Installed")
		EndIf
	
	Else
		If GetState() != ""
			GoToState("")
		EndIf
	EndIf
EndFunction

Event OnEndState()
	Utility.Wait(5.0) ; Wait before entering active state to help avoid making function calls to scripts that may not have initialized yet.
EndEvent

Bool Function GetIsInterfaceActive()
	Return GetState() == "Installed"
EndFunction

State Installed
	Int Function GetSize(Actor akActor)
		Return pchsWtIntSos.GetSize(akActor)
	EndFunction

	Bool Function SetSize(Actor akActor, Int size)
		Return pchsWtIntSos.SetSize(akActor, size)
	EndFunction
EndState

Int Function GetSize(Actor akActor)
	Return 0
EndFunction

Bool Function SetSize(Actor akActor, Int size)
	Return false
EndFunction

Int Property FatherCockSize = 11 Auto Hidden
