Scriptname pchsWtPregnancy extends Quest  

Event OnInit()
	If Self.IsRunning()
		DecideState()
		RegisterForModEvent("_pchs_Int_PlayerLoadsGame", "On_pchs_Int_PlayerLoadsGame")
	EndIf
EndEvent

Event On_pchs_Int_PlayerLoadsGame(string eventName, string strArg, float numArg, Form sender)
	DecideState()
EndEvent

Function DecideState()
	If Game.GetModByName("BeeingFemale.esm") != 255
		GoToState("BF")
	ElseIf Game.GetModByName("Fertility Mode.esm") != 255
		GoToState("FM")
	Else
		GoToState("")
	EndIf	
EndFunction

Function SetPregnancyVars()

EndFunction

State BF
	Function SetPregnancyVars()
		; Beeing Female: recognise PC as pregnant
		Int varPCPregnant = ((StorageUtil.GetIntValue(PlayerRef, "FW.CurrentState")))
		If varPCPregnant >= 4 && varPCPregnant <= 6
			pchsPCPregnant.SetValue(1)
			If pchsPCBreeder.GetValue() == 1
				pchsPCBreeder.SetValue(2)
			EndIf
		Else
			pchsPCPregnant.SetValue(0)
		Endif

		; Beeing Female: recognise PC as given birth
		If pchsPCBreeder.GetValue() == 3 && varPCPregnant == 7
			pchsPCBreeder.SetValue(4)
			pchsFatherForcegreetGlobal.SetValueInt(1)
		EndIf
	EndFunction
EndState

State FM
	Function SetPregnancyVars()
		If Fm.GetIsPregnant(PlayerRef)
			pchsPCPregnant.SetValue(1)
			If pchsPCBreeder.GetValue() == 1
				pchsPCBreeder.SetValue(2)
			EndIf
		Else
			pchsPCPregnant.SetValue(0)
		Endif

		; Beeing Female: recognise PC as given birth
		If pchsPCBreeder.GetValue() == 3 && Fm.GetGaveBirth(PlayerRef)
			pchsPCBreeder.SetValue(4)
			pchsFatherForcegreetGlobal.SetValueInt(1)
		EndIf
	EndFunction
EndState

Actor Property PlayerRef Auto

GlobalVariable Property pchsPCPregnant Auto
GlobalVariable Property pchsPCBreeder Auto
GlobalVariable Property pchsFatherForcegreetGlobal Auto

pchsWtInterfaceFm Property Fm Auto
