Scriptname pchsWtUiKey extends Quest  

Event OnInit()
	If Self.IsRunning()
		StorageUtil.SetIntValue(Self, "pchsWtRecordClutterHelp", 1)
		StorageUtil.SetIntValue(Self, "pchsWtTidyModeHelp", 1)
		SetKey(AioKey)
	EndIf
EndEvent

Function SetKey(Int KeyCode)
	UnregisterForKey(AioKey)
	AioKey = KeyCode
	If KeyCode > 0 && pchsPlayer.ThisQuest.GetStage() == 200
		RegisterForKey(KeyCode)
	EndIf
EndFunction

Event OnKeyDown(Int KeyCode)
	;Debug.Messagebox("GetSkill: " + Util.Sexlab.GetSkill(PlayerRef, "Vaginal") + "\nGetSkillLevel: " + Util.Sexlab.GetSkillLevel(PlayerRef, "Vaginal"))
	
	If !Utility.IsInMenuMode() && !UI.IsMenuOpen("InventoryMenu") && !UI.IsMenuOpen("Crafting Menu") ; Because IsInMenuMode() only checks if time is paused - and the unpause mod fucks that.
		XhairTarget = Game.GetCurrentCrosshairRef()
		MainMenu()
	EndIf
EndEvent

Actor Function GetMenuTargetActor()
	Actor akActor = XhairTarget as Actor
	If !akActor
		akActor = PlayerRef
	EndIf
	Return akActor
EndFunction

Function MainMenu()
	Int MenuSelect = ShowMainMenu()
	If MenuSelect == 0
		PoseMenu()
	ElseIf MenuSelect == 1
		DrinksTray()
	ElseIf MenuSelect == 2
		MealPot()
	ElseIf MenuSelect == 3
		ResetIdle()
	ElseIf MenuSelect == 4
		Menu.PlugMenu()
	ElseIf MenuSelect == 5
		MiscMenu()
	ElseIf MenuSelect == 6
		ShowPendingTasks()
	ElseIf MenuSelect == 7
		HomeSlavesMenu()
	EndIf
EndFunction

Int Function ShowMainMenu()
	UIMenuBase wheelMenu = UIExtensions.GetMenu("UIWheelMenu")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 0, value = "Pose ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 1, value = "Drinks Tray")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 2, value = "Meal Pot")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 3, value = "Reset Idle")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 4, value = "Plug Menu")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 5, value = "Misc ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 6, value = "Show Tasks")

	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 0, value = "Pose ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 1, value = "Drinks Tray")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 2, value = "Meal Pot")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 3, value = "Reset Idle")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 4, value = "Plug Menu")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 5, value = "Misc ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 6, value = "Show Tasks")
	
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 0, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 1, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 2, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 3, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 4, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 5, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 6, value = true)
	
	If StorageUtil.FormListCount(None, "pchsWtHomeSlavesList") > 0
		wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 7, value = "Home Slaves")
		wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 7, value = "Home Slaves")
		wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 7, value = true)
	EndIf

	Return wheelMenu.OpenMenu(GetMenuTargetActor())
EndFunction

Function MiscMenu()
	Int MenuResult = ShowMiscMenu()
	If MenuResult == -1
		MainMenu()
	ElseIf MenuResult == 0
		OutfitMenu()
	ElseIf MenuResult == 1
		TidyMenu()
	ElseIf MenuResult == 7
		DebugMenu()
	EndIf
EndFunction

Int Function ShowMiscMenu()
	UIMenuBase wheelMenu = UIExtensions.GetMenu("UIWheelMenu")

	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 0, value = "Outfits ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 1, value = "Tidy ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 7, value = "Debug ")

	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 0, value = "Outfits ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 1, value = "Tidy ")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 7, value = "Debug ")
	
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 0, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 1, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 7, value = true)

	Return wheelMenu.OpenMenu(GetMenuTargetActor())
EndFunction

Function TidyMenu()
	Int MenuResult = ShowTidyMenu()
	If MenuResult == -1
		MiscMenu()
	ElseIf MenuResult == 0
		TidyRoom()
	ElseIf MenuResult == 1
		TidyMode()
	ElseIf MenuResult == 4
		If StorageUtil.GetIntValue(Self, "pchsWtRecordClutterHelp", Missing = -1) == 1
			Debug.Messagebox("Recording clutter is only needed for dynamic objects - Items you bring in from elsewhere. If all the items in the room were in the room to begin with you don't need to record clutter.")
			StorageUtil.UnSetIntValue(Self, "pchsWtRecordClutterHelp")
		EndIf
		If ConfirmMenu("Record Room Clutter?")
			pchsClutterRecordQuest.Stop()
			pchsClutterRecordQuest.Start()
		EndIf
	EndIf
EndFunction

Int Function ShowTidyMenu()
	String TidyStr = "Tidy Mode"
	If PlayerRef.HasPerk(pchsWtClutterTidyPerk)
		TidyStr = "Stop Tidying"
	EndIf
	UIMenuBase wheelMenu = UIExtensions.GetMenu("UIWheelMenu")

	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 0, value = "Tidy Room")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 1, value = TidyStr)
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 4, value = "Record Clutter")

	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 0, value = "Tidy Room")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 1, value = TidyStr)
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 4, value = "Record Clutter")
	
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 0, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 1, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 4, value = PlayerRef.IsInInterior() && PlayerRef.GetCurrentLocation())
	
	Return wheelMenu.OpenMenu(GetMenuTargetActor())
EndFunction

Function TidyRoom()
	PlayerRef.PlayIdle(IdleWarmHandsCrouched)
	Game.FadeOutGame(true, true, 0.0, 6.0)
	Utility.Wait(1.5)
	pchsClutterTidyQuest.Stop()
	pchsClutterTidyQuest.Start()
	pchsPlayer.GameHour.Mod(1.0)
	If Game.GetModByName("paradise_halls.esm") != 255
		Debug.SendAnimationEvent(PlayerRef, "PAHETieUpExit")
	Else
		Debug.SendAnimationEvent(PlayerRef, "IdleStop")
	EndIf
	Debug.Notification("I spend an hour tidying up the room")
EndFunction

Function TidyMode()
	If !PlayerRef.HasPerk(pchsWtClutterTidyPerk)
		If StorageUtil.GetIntValue(Self, "pchsWtTidyModeHelp", Missing = -1) == 1
			StorageUtil.UnSetIntValue(Self, "pchsWtTidyModeHelp")
			Debug.Messagebox("Welcome to tidy mode.\n\nIn tidy mode any object you activate (that has the keyword VendorItemClutter or VendorItemBook or is in the formlist pchsClutterList) will be returned to it's place if it's place was originally in the same room. Tidy mode can be used in rooms other than the Wartimes home.\n\nTo stop tidying use the same option in the menu. Stop tidying will rerun the assessment of how untidy the home is.")
		EndIf
		PlayerRef.AddPerk(pchsWtClutterTidyPerk)
		Debug.Notification("Started tidying")
	Else
		PlayerRef.RemovePerk(pchsWtClutterTidyPerk)
		IsTidy.GetUntidyCount()
		Debug.Notification("Finished tidying")
	EndIf
EndFunction

Function DebugMenu()
	Int MenuResult = ShowDebugMenu()
	If MenuResult == -1
		MiscMenu()
	ElseIf MenuResult == 0
		DebugOutfitsMenu()
	ElseIf MenuResult == 1
		FireForceGreet()
	ElseIf MenuResult == 2
		(Game.GetFormFromFile(0x41951C, "pchsWartimes.esp") as pchsBeatPlayer).BeginBeating(Game.GetFormFromFile(0x5A12, "pchsWartimes.esp") as Actor, "Beat")
	ElseIf MenuResult == 3
		(Game.GetFormFromFile(0x41951C, "pchsWartimes.esp") as pchsBeatPlayer).BeginBeating(Game.GetFormFromFile(0x5A12, "pchsWartimes.esp") as Actor, "Whip")
	ElseIf MenuResult == 4
		(Game.GetFormFromFile(0x33A793, "pchsWartimes.esp") as pchsCellarPrison).ApologyFailImprisonment()
	ElseIf MenuResult == 5
		(Game.GetFormFromFile(0x3EBBCE, "pchsWartimes.esp") as pchsZazFurnPunish).PlayerZazFurnPunishBegin(Utility.RandomFloat(2.0, 3.0))
	ElseIf MenuResult == 6
		Util.DevicePunishment()
	ElseIf MenuResult == 7
		Util.SpankPlayer(Strip = false, Spanker = Menu.FatherRef)
	ElseIf MenuResult == 8
		DisplayTasksSuspendForms()
	ElseIf MenuResult == 9
		ClearTasksSuspendForms()
	ElseIf MenuResult == 10
		(Game.GetFormFromFile(0x4A219E, "pchsWartimes.esp") as pchsCumPools).OrgasmEvent(Menu.FatherRef, PlayerRef, tid = -1, HasPlayer = true)
	ElseIf MenuResult == 11
		ToggleMilkingMachine()
		;/ Don't do this at home kids
		; Troubleshoot toss out quest not firing update to let the player back in
		pchsTossOut akTossOut = Game.GetFormFromFile(0x2C0EAA, "pchsWartimes.esp") as pchsTossOut
		If akTossOut.GetState() == "TossedOut"
			akTossOut.RegisterForSingleUpdateGameTime(0.01)
		Else
			Debug.Messagebox("TossedOut quest is not in state TossedOut")
		EndIf
		/;
	ElseIf MenuResult == 12
		pchsPlayer.SupplyRun.SetupSpecialStock()
	ElseIf MenuResult == 13
		pchsPlayer.SupplyRun.AddSpecialStock()
	ElseIf MenuResult == 14
		pchsPlayer.SupplyRun.RemoveSpecialStock()
	EndIf
EndFunction

Int Function ShowDebugMenu()
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem("Outfits ")
	ListMenu.AddEntryItem("Fire Force Greet")
	ListMenu.AddEntryItem("Fire Beating")
	ListMenu.AddEntryItem("Fire Whipping")
	ListMenu.AddEntryItem("Cellar Punishment")	
	ListMenu.AddEntryItem("Fire Zaz Furn Punishment")
	ListMenu.AddEntryItem("Fire Device Punishment")
	ListMenu.AddEntryItem("Fire Spanking")
	ListMenu.AddEntryItem("Display Tasks Suspend Forms")
	ListMenu.AddEntryItem("Force Clear Tasks Suspend Forms")
	ListMenu.AddEntryItem("Place Cum")
	ListMenu.AddEntryItem("Toggle Milking Machine")
	ListMenu.AddEntryItem("Rebuild Belethor's Special Stock LVLI")
	ListMenu.AddEntryItem("Add Belethor Special Stock")
	ListMenu.AddEntryItem("Remove Belethor Special Stock")
	ListMenu.OpenMenu()
	Return ListMenu.GetResultInt()
EndFunction

Function DisplayTasksSuspendForms()
	If StorageUtil.FormListCount(None, "pchsWartimesTasksSuspendForms") == 0
		Debug.Messagebox("There are zero tasks suspend forms")
	Else
		UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
		Int i = 0
		While i < StorageUtil.FormListCount(None, "pchsWartimesTasksSuspendForms")
			ListMenu.AddEntryItem(StorageUtil.FormListGet(None, "pchsWartimesTasksSuspendForms", i))
			i += 1
		EndWhile
		ListMenu.OpenMenu()
		;Return ListMenu.GetResultInt()
	EndIf
EndFunction

Function ClearTasksSuspendForms()
	If ConfirmMenu("Are you sure?")
		StorageUtil.FormListClear(None, "pchsWartimesTasksSuspendForms")
		Debug.Messagebox("Suspend tasks forms cleared.")
	EndIf
EndFunction

Function FireForceGreet()
	pchsPlayer.FatherForcegreetGlobal.SetValue(1.0)
	pchsPlayer.FatherRef.EvaluatePackage()
EndFunction

Function DebugOutfitsMenu()
	Int MenuResult = ShowDebugOutfitsMenu()
	If MenuResult == -1
		DebugMenu()
	ElseIf MenuResult == 0
		DisplayAllOutfitLevels()
	ElseIf MenuResult == 1
		AddOutfitMenu()
	ElseIf MenuResult == 2
		DisplayAllOutfitLevels(RemoveOutfit = true)
	EndIf
EndFunction

Int Function ShowDebugOutfitsMenu()
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem("Display All Outfit Levels")
	ListMenu.AddEntryItem("Add My Current Outfit")
	ListMenu.AddEntryItem("Remove Outfit")
	ListMenu.OpenMenu()
	Return ListMenu.GetResultInt()
EndFunction

Function AddOutfitMenu()
	Form akOutfit = PlayerRef.GetWornForm(0x00000004)
	If akOutfit
		Int Level = Util.GetOutfitLevel(akOutfit)
		If Level == -1
			Level = SelectOutfitLevel()
			If Level > -1
				Util.AddOutfit(akOutfit, Level)
			Else
				Debug.Notification("Aborted - No level selected")
			EndIf
		Else
			Debug.Notification("Body item is already a part of level " + Level)
		EndIf		
	Else
		Debug.Notification("Not wearing item in body slot")
	EndIf
EndFunction

String Function GetAccessoryListName()
	UITextEntryMenu TextMenu = UIExtensions.GetMenu("UITextEntryMenu") as UITextEntryMenu
	TextMenu.SetPropertyString("text", "Accessory List Name")
	TextMenu.OpenMenu(PlayerRef)
	
	String Name = TextMenu.GetResultString()
	If Name != "" && Name != "Accessory List Name"
		Return Name
	EndIf
	Return ""
EndFunction

Int Function SelectOutfitLevel()
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	Int i = 0
	While JsonUtil.FormListCount("Wartimes/Outfits.json", "outfits_" + i) > 0
		ListMenu.AddEntryItem("Level " + i)
		i += 1
	EndWhile
	ListMenu.AddEntryItem("Level " + i + " (New Level)")
	ListMenu.OpenMenu()
	Return ListMenu.GetResultInt()
EndFunction

Function DisplayAllOutfitLevels(Bool RemoveOutfit = false)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	Int i = 0
	While JsonUtil.FormListCount("Wartimes/Outfits.json", "outfits_" + i) > 0
		ListMenu.AddEntryItem("Level " + i)
		i += 1
	EndWhile
	ListMenu.OpenMenu()
	Int Result = ListMenu.GetResultInt()
	If Result == -1
		DebugOutfitsMenu()
	Else
		DisplayOutfitsAtLevel(Result, RemoveOutfit)
	EndIf
EndFunction

Function DisplayOutfitsAtLevel(Int Level, Bool RemoveOutfit = false)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	Form[] Outfits = Util.GetOutfitsForLevel(Level)
	Int i = 0
	While i < Outfits.Length
		ListMenu.AddEntryItem(Outfits[i].GetName())
		i += 1
	EndWhile
	ListMenu.OpenMenu()
	
	Int Result = ListMenu.GetResultInt()
	If Result == -1
		DisplayAllOutfitLevels(RemoveOutfit)
	Else
		If RemoveOutfit
			If ConfirmMenu("Remove Outfit " + Outfits[i].GetName())
				Util.RemoveOutfit(Outfits[i])
			EndIf
		Else
			DebugAccessoriesMenu(Outfits[Result], Level, RemoveOutfit)
		EndIf
	EndIf
EndFunction

Function DebugAccessoriesMenu(Form akOutfit, Int Level, Bool RemoveOutfit = false)
	Form[] AccList = Util.GetAccessoriesForOutfit(akOutfit)
	If AccList && AccList.Length > 0
		DebugShowAccessoriesMenu(AccList, akOutfit)
	Else
		DebugShowNoAccessoriesMenu(akOutfit)
	EndIf
	DisplayOutfitsAtLevel(Level, RemoveOutfit)
EndFunction

Function DebugShowAccessoriesMenu(Form[] AccList, Form OutfitBody)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem(" === Accessories for " + OutfitBody.GetName() + " === ")
	Int i = 0
	While i < AccList.Length
		ListMenu.AddEntryItem(AccList[i].GetName())
		i += 1
	EndWhile
	ListMenu.OpenMenu()
	;Return ListMenu.GetResultInt()
EndFunction

Function DebugShowNoAccessoriesMenu(Form akForm)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	If akForm
		ListMenu.AddEntryItem("No accessories for " + akForm.GetName())
	Else
		ListMenu.AddEntryItem("No accessories for NONE")
	EndIf
	ListMenu.OpenMenu()
	;Return ListMenu.GetResultInt()
EndFunction


; =======================================

Function OutfitMenu()
	Form MenuResult = ShowOutfitMenu()
	If !MenuResult
		MiscMenu()
	Else
		AccessoriesMenu(MenuResult)
	EndIf
EndFunction

Function AccessoriesMenu(Form akForm)
	Form[] AccList = Util.GetAccessoriesForOutfit(akForm)
	If AccList && AccList.Length > 0
		ShowAccessoriesMenu(AccList, akForm)
	Else
		ShowNoAccessoriesMenu(akForm)
	EndIf
	OutfitMenu()
EndFunction

Function ShowAccessoriesMenu(Form[] AccList, Form OutfitBody)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem(" === Accessories for " + OutfitBody.GetName() + " === ")
	Int i = 0
	While i < AccList.Length
		ListMenu.AddEntryItem(AccList[i].GetName())
		i += 1
	EndWhile
	ListMenu.OpenMenu()
	;Return ListMenu.GetResultInt()
EndFunction

Function ShowNoAccessoriesMenu(Form akForm)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	If akForm
		ListMenu.AddEntryItem("No accessories for " + akForm.GetName())
	Else
		ListMenu.AddEntryItem("No accessories for NONE")
	EndIf
	ListMenu.OpenMenu()
	;Return ListMenu.GetResultInt()
EndFunction

Form Function ShowOutfitMenu()
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem(" === Allowed Outfits (" + pchsRequiredOutfitLevel.GetValueInt() + ") === ")
	Int i = 0
	while i < JsonUtil.FormListCount("Wartimes/Outfits.json", "outfits_" + pchsRequiredOutfitLevel.GetValueInt())
		ListMenu.AddEntryItem(i + ") " + JsonUtil.FormListGet("Wartimes/Outfits.json", "outfits_" + pchsRequiredOutfitLevel.GetValueInt(), i).GetName())
		i += 1
	EndWhile
	ListMenu.OpenMenu()
	Return JsonUtil.FormListGet("Wartimes/Outfits.json", "outfits_" + pchsRequiredOutfitLevel.GetValueInt(), ListMenu.GetResultInt() - 1)
EndFunction

Function PoseMenu()
	Int MenuResult = ShowPoseMenu()
	If MenuResult == -1
		MainMenu()
	ElseIf MenuResult == 0
		HandsBehindBack()
	ElseIf MenuResult == 1
		HandsAboveHead()
	ElseIf MenuResult == 2
		OnAllFours()
	EndIf
EndFunction

Int Function ShowPoseMenu()
	UIMenuBase wheelMenu = UIExtensions.GetMenu("UIWheelMenu")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 0, value = "Hands Behind Back")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 1, value = "Hands Above Head")
	wheelMenu.SetPropertyIndexString(propertyName = "optionText", index = 2, value = "On All Fours")

	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 0, value = "Hands Behind Back")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 1, value = "Hands Above Head")
	wheelMenu.SetPropertyIndexString(propertyName = "optionLabelText", index = 2, value = "On All Fours")
	
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 0, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 1, value = true)
	wheelMenu.SetPropertyIndexBool(propertyName = "optionEnabled", index = 2, value = true)

	Return wheelMenu.OpenMenu(GetMenuTargetActor())
EndFunction

Function DrinksTray()
	PlayerRef.PlayIdle(ZbfIdleFree)
	Utility.WaitMenuMode(0.1)
	AnimReset.Begin("PotTrayFour")
	pchsPoseFlag.SetValueInt(1)
	pchsPcOffersDrink.SetValue(1)
	PlayerRef.PlayIdle(OffsetCarryMQ201DrinkTray)
EndFunction

Function MealPot()
	PlayerRef.PlayIdle(ZbfIdleFree)
	Utility.WaitMenuMode(0.1)
	AnimReset.Begin("PotTrayFour")
	pchsPoseFlag.SetValueInt(1)
	pchsPcOffersFood.SetValue(1)
	PlayerRef.PlayIdle(OffsetCarryPotStart)
EndFunction

Function ResetIdle()
	PlayerRef.PlayIdle(ZbfIdleFree)
	AnimReset.End()
EndFunction

Function HandsBehindBack()
	PlayerRef.PlayIdle(ZbfIdleFree)
	Utility.WaitMenuMode(0.1)
	AnimReset.Begin("PotTrayFour")
	Debug.Notification("I submissively put my hands behind my back.")
	PlayerRef.PlayIdle(HandsBehindBack)
	pchsPoseFlag.SetValueInt(1)
	pchsInspectStance.SetValueInt(1)
EndFunction

Function HandsAboveHead()
	PlayerRef.PlayIdle(ZbfIdleFree)
	Utility.WaitMenuMode(0.1)
	AnimReset.Begin("PotTrayFour")
	Debug.Notification("I submissively put my hands above my head.")
	PlayerRef.PlayIdle(HandsAboveHead)
	pchsPoseFlag.SetValueInt(1)
	pchsInspectStance.SetValueInt(1)
EndFunction

Function OnAllFours()
	PlayerRef.PlayIdle(ZbfIdleFree)
	Utility.WaitMenuMode(0.1)
	AnimReset.Begin("PotTrayFour")
	Debug.Notification("I submissively fall down on all fours")
	If Game.GetModByName("dcc-dm2.esp") != 255
		PlayerRef.PlayIdle(Game.GetFormFromFile(0x005E99, "dcc-dm2.esp") as Idle) ; dcc_dm_IdleSubmit1 - old doggySumbit property
	Else
		PlayerRef.PlayIdle(zbfIdleKneelLickFeet)
	EndIf
	pchsPoseFlag.SetValueInt(1)
	pchsInspectStance.SetValueInt(1)
EndFunction

Function HomeSlavesMenu()
	Int MenuResult = ShowHomeSlavesMenu()
	If MenuResult > -1
		DisplaySlaveStats(MenuResult - 1)
	EndIf
EndFunction

Int Function ShowHomeSlavesMenu()
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	Int i = 0
	Actor Slave
	String SlaveName
	ListMenu.AddEntryItem(" === Slave - Task - Priority === ")
	While i < StorageUtil.FormListCount(None, "pchsWtHomeSlavesList")
		Slave = StorageUtil.FormListGet(None, "pchsWtHomeSlavesList", i) as Actor
		SlaveName = StringUtil.Substring(Slave.GetDisplayName(), 0, 18)
		ListMenu.AddEntryItem(SlaveName + " - " + HomeSlaves.GetTaskDisplayString(Slave) + " - " + HomeSlaves.GetTaskPriorityString(Slave))
		i += 1
	EndWhile
	ListMenu.OpenMenu()
	Return ListMenu.GetResultInt()
EndFunction

Function DisplaySlaveStats(Int SlaveIndex)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	Actor akActor = StorageUtil.FormListGet(None, "pchsWtHomeSlavesList", SlaveIndex) as Actor
	;Debug.Messagebox("Slave: " + StorageUtil.FormListToArray(None, "pchsWtHomeSlavesList"))
	DisplaySlaveStatsActor(akActor)
EndFunction

Function DisplaySlaveStatsActor(Actor akActor)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem(" === " + akActor.GetDisplayName() + " === ")
	ListMenu.AddEntryItem("Task: " + HomeSlaves.GetTaskDisplayString(akActor))
	ListMenu.AddEntryItem("Submission: " + HomeSlaves.GetPahSubmission(akActor) as Int + "%")
	ListMenu.AddEntryItem("Sex Training: " + HomeSlaves.GetSexTraining(akActor) as Int + "%")
	ListMenu.AddEntryItem("Home Tasks Training: " + HomeSlaves.GetHomeTraining(akActor) as Int + "%")
	ListMenu.AddEntryItem("Pending Training: " + StorageUtil.GetIntValue(akActor, "pchsWtSlaveFailedTaskCount"))
	ListMenu.AddEntryItem("Weight: " + akActor.GetLeveledActorBase().GetWeight() as Int + "%")
	ListMenu.AddEntryItem("Assign Favour: " + HomeSlaves.GetAssignValue(akActor) as Int)
	ListMenu.AddEntryItem("Unassign Favour Cost: " + HomeSlaves.GetUnassignCost(akActor) as Int)
	ListMenu.OpenMenu()
EndFunction

Function ShowPendingTasks()
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	
	ListMenu.AddEntryItem(" === Status === ")
	; Mother's Health
	If pchsMotherCaged.GetValueInt() >= 1 ; pchsMotherCaged
		ListMenu.AddEntryItem("Mother's Health: " + pchsMotherHealthCaged.GetValueInt()) ; pchsMotherHealthCaged
	Else
		ListMenu.AddEntryItem("Mother's Health: " + pchsMotherHealth.GetValueInt()) ; pchsMotherHealth
	EndIf
	
	; Father's Favour
	ListMenu.AddEntryItem("Father's Favour: " + pchsFatherVoluntaryServeRep.GetValueInt())
	
	If pchsPCSubmission.GetValueInt() > 0
		ListMenu.AddEntryItem("Submission: " + pchsPCSubmission.GetValueInt())
	EndIf
	
	If StorageUtil.GetFloatValue(None, "pchsWtTimeOffUntil") > Utility.GetCurrentGameTime()
		ListMenu.AddEntryItem(" === Break For " + (((StorageUtil.GetFloatValue(None, "pchsWtTimeOffUntil") - Utility.GetCurrentGameTime()) * 24.0) as Int) + " Hours === ")
	Else
		ListMenu.AddEntryItem(" === Tasks === ")
		; Apology
		If Fav.pchsApologyDialogEn.GetValue()
			ListMenu.AddEntryItem("Apologise to Father")
		EndIf
		
		; Meal
		If pchsFatherHunger.GetValue() == 0
			If pchsFatherFoodTomatoSoupWants.GetValue()
				ListMenu.AddEntryItem("Meal: Tomato Soup")
			ElseIf pchsFatherFoodVenisonStewWants.GetValue()
				ListMenu.AddEntryItem("Meal: Venison Stew")
			Else
				ListMenu.AddEntryItem("Make A Meal For Father")
			EndIf
		EndIf
		
		; Drink
		If pchsFatherThirst.GetValue() == 0
			If pchsFatherDrinkAleWants.GetValue()
				ListMenu.AddEntryItem("Drink: Ale")
			ElseIf pchsFatherDrinkWineWants.GetValue()
				ListMenu.AddEntryItem("Drink: Wine")
			Else
				ListMenu.AddEntryItem("Fetch A Drink For Father")
			EndIf
		EndIf
		
		; Firewood
		If Menu.pchsJobFirewood.GetValue() && pchsPlayer.pchsTaskFirewood.GetValue() && pchsPlayer.pchsFirewoodPileRef.GetItemCount(pchsPlayer.Firewood01) <= 6
			ListMenu.AddEntryItem("Chop Wood For The Fire")
		EndIf
		
		; Father Sex
		If pchsFatherIntimacyApproach.GetValue() == 2 && pchsFatherSex.GetValue() == 0
			ListMenu.AddEntryItem("Sex With Father")
		EndIf
		
		; Aldo Sex
		If pchsAldoSex.GetValue() == 1
			ListMenu.AddEntryItem("Sex With Aldo")
		EndIf
		
		; Brutus Milking
		If pchsHorseMilkTaskActive.GetValueInt() == 1
			ListMenu.AddEntryItem("'Milk' Brutus")
		EndIf
		
		If pchsSupplyRuns.GetValue() == 1.0
			ListMenu.AddEntryItem("Supply Run")
		EndIf
		
		; Dirt
		If IsCleanHouseJobActive()
			ListMenu.AddEntryItem("Clean Dirt")
		EndIf
		
		; Floor cum
		If CumPools.GetCumPoolCount() >= 3
			ListMenu.AddEntryItem("Clean Cum")
		EndIf
		
		; Clutter
		If IsTidy.pchsClutterUntidyCountHome.GetValue()
			ListMenu.AddEntryItem("Untidy Clutter: " + IsTidy.pchsClutterUntidyCountHome.GetValueInt())
		EndIf
		
		; Milk
		If pchsFatherMilk.GetValue() == 0
			ListMenu.AddEntryItem("Milk: (" + ((Menu.MilkQuotaPerLevel * (StorageUtil.GetFloatValue(PlayerRef, "MME.MilkMaid.Level") + 1)) as Int) + " units)")
		EndIf
		
		; Cum
		If pchsFatherCumSlut.GetValue() == 0
			String CumRequested
			If pchsPlayer.RequiredCum
				CumRequested = " Required: " + pchsPlayer.RequiredCum.GetName()
			EndIf
			ListMenu.AddEntryItem("Cum: (" + pchsGiftedCumCount.GetValueInt() + "/" + pchsRequiredCumCount.GetValueInt() + ")" + CumRequested)
		EndIf
		
		; Bathing
		If pchsBathingForbidden.GetValue() > 0.0
			ListMenu.AddEntryItem("No Bathing")
		EndIf
		
		; Hair Colour
		If !HairColour.IsComplying()
			If !HairColour.IsHairRightColour()
				If HairColour.CanChangeColour()
					ListMenu.AddEntryItem("Change Hair Colour to " + HairColour.CurrentFavHair)
				EndIf
			ElseIf HairColour.IsHairFaded()
				ListMenu.AddEntryItem("Refresh Hair Dye: " + HairColour.CurrentFavHair)
			EndIf
		EndIf
		
		; Piercings
		If pchsPiercingsQuest.IsRunning()
			ListMenu.AddEntryItem("Get Piercings In Solitude")
		EndIf
		
		If SmithParty.GetCurrentStageID() == 20
			ListMenu.AddEntryItem("Organise A Party")
		EndIf
	EndIf
	ListMenu.OpenMenu()
EndFunction

Int Function GetNumOfPendingTasks()
	Int TaskCount = 0
	; Meal
	If pchsFatherHunger.GetValue() == 0
		TaskCount += 1
	EndIf
	
	; Drink
	If pchsFatherThirst.GetValue() == 0
		TaskCount += 1
	EndIf
	
	; Firewood
	If Menu.pchsJobFirewood.GetValue() && pchsPlayer.pchsTaskFirewood.GetValue() && pchsPlayer.pchsFirewoodPileRef.GetItemCount(pchsPlayer.Firewood01) <= 6
		TaskCount += 1
	EndIf
	
	; Father Sex
	If pchsFatherIntimacyApproach.GetValue() == 2 && pchsFatherSex.GetValue() == 0
		TaskCount += 1
	EndIf
	
	; Aldo Sex
	If pchsAldoSex.GetValue() == 1
		TaskCount += 1
	EndIf
	
	; Brutus Milking
	If pchsHorseMilkTaskActive.GetValueInt() == 1
		TaskCount += 1
	EndIf
	
	If pchsSupplyRuns.GetValue() == 1.0
		TaskCount += 1
	EndIf
	
	; Dirt
	If IsCleanHouseJobActive()
		TaskCount += 1
	EndIf
	
	; Floor cum
	If CumPools.GetCumPoolCount() >= 3
		TaskCount += 1
	EndIf
	
	; Clutter
	If IsTidy.pchsClutterUntidyCountHome.GetValue()
		TaskCount += 1
	EndIf
	
	; Milk
	If pchsFatherMilk.GetValue() == 0
		TaskCount += 1
	EndIf
	
	; Cum
	If pchsFatherCumSlut.GetValue() == 0
		TaskCount += 1
	EndIf
	
	; Hair Colour
	If !HairColour.IsComplying()
		If !HairColour.IsHairRightColour()
			If HairColour.CanChangeColour()
				TaskCount += 1
			EndIf
		ElseIf HairColour.IsHairFaded()
			TaskCount += 1
		EndIf
	EndIf
	
	; Piercings
	If pchsPiercingsQuest.IsRunning()
		TaskCount += 1
	EndIf
	
	If SmithParty.GetCurrentStageID() == 20
		TaskCount += 1
	EndIf
	Return TaskCount
EndFunction

Bool Function IsCleanHouseJobActive()
	Int i = 0
	While i < pchsPlayer.dirtObjects.Length
		If pchsPlayer.dirtObjects[i].IsEnabled()
			Return true
		EndIf
		i += 1
	EndWhile
	Return false
EndFunction

Function ToggleMilkingMachine()
	ObjectReference MilkMachine = (Game.GetFormFromFile(0x024259, "pchsWartimes.esp") as ObjectReference)
	If MilkMachine.IsDisabled()
		MilkMachine.Enable()
	Else
		MilkMachine.Disable()
	EndIf
EndFunction

Bool Function ConfirmMenu(String Msg)
	UIListMenu ListMenu = UIExtensions.GetMenu("UIListMenu") as UIListMenu
	ListMenu.AddEntryItem(Msg + ": No")
	ListMenu.AddEntryItem(Msg + ": Yes")
	ListMenu.OpenMenu()
	Int Result = ListMenu.GetResultInt()
	If Result == 1
		Return true
	EndIf
	Return false
EndFunction

Int Property AioKey = 21 Auto Hidden

ObjectReference XhairTarget

Idle Property IdleWarmHandsCrouched Auto
Idle Property zbfIdleKneelLickFeet Auto
Idle Property OffsetCarryMQ201DrinkTray Auto
Idle Property OffsetCarryPotStart Auto
Idle Property ZbfIdleFree Auto
Idle Property HandsAboveHead Auto
Idle Property HandsBehindBack Auto

GlobalVariable Property pchsPoseFlag Auto
GlobalVariable Property pchsPcOffersFood Auto
GlobalVariable Property pchsPcOffersDrink Auto
GlobalVariable Property pchsFatherHunger Auto
GlobalVariable Property pchsFatherThirst Auto
GlobalVariable Property pchsFatherDrinkAleWants Auto
GlobalVariable Property pchsFatherDrinkWineWants Auto
GlobalVariable Property pchsFatherFoodTomatoSoupWants Auto
GlobalVariable Property pchsFatherFoodVenisonStewWants Auto
GlobalVariable Property pchsFatherSex Auto
GlobalVariable Property pchsFatherIntimacyApproach Auto
GlobalVariable Property pchsAldoSex Auto
GlobalVariable Property pchsHorseMilkTaskActive Auto
GlobalVariable Property pchsSupplyRuns Auto
GlobalVariable Property pchsFatherMilk Auto
GlobalVariable Property pchsFatherCumSlut Auto
GlobalVariable Property pchsGiftedCumCount Auto
GlobalVariable Property pchsRequiredCumCount Auto
GlobalVariable Property pchsMotherCaged Auto
GlobalVariable Property pchsMotherHealthCaged Auto
GlobalVariable Property pchsMotherHealth Auto
GlobalVariable Property pchsBathingForbidden Auto
GlobalVariable Property pchsFatherVoluntaryServeRep Auto
GlobalVariable Property pchsPCSubmission Auto
GlobalVariable Property pchsInspectStance Auto
GlobalVariable Property pchsRequiredOutfitLevel Auto

Actor Property PlayerRef Auto

Perk Property pchsWtClutterTidyPerk Auto

Faction Property pchsHomeSlaveTrainingFact Auto

Quest Property pchsPiercingsQuest Auto
Quest Property pchsClutterTidyQuest Auto
Quest Property pchsClutterRecordQuest Auto

pchsSmithPartyTiming Property SmithParty Auto
pchsWtClutterIsTidy Property IsTidy Auto
pchsCumPools Property CumPools Auto
pchsWtPlayerAnimReset Property AnimReset Auto
pchsHairColour Property HairColour Auto
pchsWartimesPlayerScript Property pchsPlayer Auto
pchsWartimesMCM Property Menu Auto
pchsWtUtil Property Util Auto
pchsWtHomeSlaves Property HomeSlaves Auto
pchsWtFavour Property Fav Auto
