Scriptname pchsWtWoodPile extends ObjectReference  

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	If akBaseItem != Firewood01
		Debug.Notification("Only firewood can be placed in the wood pile")
		RemoveItem(akBaseItem, aiItemCount, true, akSourceContainer)
	ElseIf GetItemCount(Firewood01) > 50
		If akSourceContainer == Game.GetPlayer()
			Debug.Notification("The wood pile is full")
		EndIf
		RemoveItem(akBaseItem, GetItemCount(Firewood01) - 50, true, akSourceContainer)
	EndIf
EndEvent

Form Property Firewood01 Auto
